/************************************************************************************/
/*  Copyright (C)           Microcyber Inc. All Rights Reserved                     */
/*  Product:                MS0207 Profibus PA                                   */
/*                                                                                  */
/*  Device:                 MS0207 TEMPERATURE DEVICE for PROFIBUS PA            */
/*  Description:            Device Description File                                 */
/*  Dictionary:             SIPADC01.dct                                            */
/*                                                                                  */
/*  Revision:  1.0                                                                  */
/************************************************************************************/
MANUFACTURER            0x16c,
DEVICE_TYPE             0x01,
DEVICE_REVISION         0x01,
DD_REVISION             0x01

#define _MS0207
#define DEVICE_TYPE "MS0207"

#include "SI_FileM.inc"
#include "SI_HlpM.inc"
#include "SI_OptM.inc"
/*
#include "SI_MainMenu.inc"
#include "SI_ViewM.inc"
*/

#include "defmacros.inc"
#include "Phys_Blk.inc"
#include "AI4_Blk1.inc"
#include "MC_YT.inc"
#include "Table.inc"
#include "TtTb2_Blk.inc"


/***********************************************************************/
/*****    Menu: Specialist  **********************************************/
/***********************************************************************/

MENU Menu_Main_Specialist
{
    LABEL        [main_menu];
    ITEMS
    {
        Menu_File,
        Menu_S_Device,
        Menu_S_View,
        Menu_Options,
        Menu_Help
    }
}

/***********************************************************************/
/*****    Menu: Maintenance  *********************************************/
/***********************************************************************/

MENU Menu_Main_Maintenance
{
    LABEL        [main_menu];
    ITEMS
    {
        Menu_File,
        Menu_M_Device,
        Menu_S_View,
        Menu_Options,
        Menu_Help
    }
}

//MENU download_variables
//{
//    LABEL        [menu_load_to_PC];
//    ITEMS
//    {
//    /* PHYSICAL BLOCK    */
//        phys_st_rev,
//        phys_device_man_id,
//        phys_device_id,
//        phys_tag_desc,
//        phys_descriptor,
//        phys_message,
//        phys_install_date,
//        phys_software_rev,
//        phys_hardware_rev,
//        phys_blk_profile,
//        phys_blk_profile_rev,
//        phys_blk_dd_reference,
//        phys_blk_dd_rev,
//        phys_device_certification,
//        phys_device_ser_num,
//
//
//
//    /* TRANDSDUCER BLOCK 1    */
//        trans1_TT_1_st_rev,
//    /* TRANDSDUCER BLOCK 2    */
//        trans1_CB_1_CustomTcName,
//        trans1_CB_1_CustomTcPolyCount,
//        trans1_CB_1_CustomTcMinIn,
//        trans1_CB_1_CustomTcMinOut,
//        trans1_CB_1_CustomTcMaxOut,
//        trans1_CUSTOM_TC_POLY_1.Ohm,
//        trans1_CUSTOM_TC_POLY_1.a0,
//        trans1_CUSTOM_TC_POLY_1.a1,
//        trans1_CUSTOM_TC_POLY_1.a2,
//        trans1_CUSTOM_TC_POLY_1.a3,
//        trans1_CUSTOM_TC_POLY_1.a4
//        trans1_CUSTOM_TC_POLY_2.Ohm,
//        trans1_CUSTOM_TC_POLY_2.a0,
//        trans1_CUSTOM_TC_POLY_2.a1,
//        trans1_CUSTOM_TC_POLY_2.a2,
//        trans1_CUSTOM_TC_POLY_2.a3,
//        trans1_CUSTOM_TC_POLY_2.a4,
//        trans1_CUSTOM_TC_POLY_3.Ohm,
//        trans1_CUSTOM_TC_POLY_3.a0,
//        trans1_CUSTOM_TC_POLY_3.a1,
//        trans1_CUSTOM_TC_POLY_3.a2,
//        trans1_CUSTOM_TC_POLY_3.a3,
//        trans1_CUSTOM_TC_POLY_3.a4,
//        trans1_CUSTOM_TC_POLY_4.Ohm,
//        trans1_CUSTOM_TC_POLY_4.a0,
//        trans1_CUSTOM_TC_POLY_4.a1,
//        trans1_CUSTOM_TC_POLY_4.a2,
//        trans1_CUSTOM_TC_POLY_4.a3,
//        trans1_CUSTOM_TC_POLY_4.a4,
//        trans1_CUSTOM_TC_POLY_5.Ohm,
//        trans1_CUSTOM_TC_POLY_5.a0,
//        trans1_CUSTOM_TC_POLY_5.a1,
//        trans1_CUSTOM_TC_POLY_5.a2,
//        trans1_CUSTOM_TC_POLY_5.a3,
//        trans1_CUSTOM_TC_POLY_5.a4,
//        trans1_CB_1_CustomRtdName,
//        trans1_CB_1_CustomRtdPolyCount,
//        trans1_CB_1_CustomRtdMinIn,
//        trans1_CB_1_CustomRtdMinOut,
//        trans1_CB_1_CustomRtdMaxOut,
//        trans1_CUSTOM_RTD_POLY_1.Ohm,
//        trans1_CUSTOM_RTD_POLY_1.a0,
//        trans1_CUSTOM_RTD_POLY_1.a1,
//        trans1_CUSTOM_RTD_POLY_1.a2,
//        trans1_CUSTOM_RTD_POLY_1.a3,
//        trans1_CUSTOM_RTD_POLY_1.a4
//        trans1_CUSTOM_RTD_POLY_2.Ohm,
//        trans1_CUSTOM_RTD_POLY_2.a0,
//        trans1_CUSTOM_RTD_POLY_2.a1,
//        trans1_CUSTOM_RTD_POLY_2.a2,
//        trans1_CUSTOM_RTD_POLY_2.a3,
//        trans1_CUSTOM_RTD_POLY_2.a4,
//        trans1_CUSTOM_RTD_POLY_3.Ohm,
//        trans1_CUSTOM_RTD_POLY_3.a0,
//        trans1_CUSTOM_RTD_POLY_3.a1,
//        trans1_CUSTOM_RTD_POLY_3.a2,
//        trans1_CUSTOM_RTD_POLY_3.a3,
//        trans1_CUSTOM_RTD_POLY_3.a4,
//        trans1_CUSTOM_RTD_POLY_4.Ohm,
//        trans1_CUSTOM_RTD_POLY_4.a0,
//        trans1_CUSTOM_RTD_POLY_4.a1,
//        trans1_CUSTOM_RTD_POLY_4.a2,
//        trans1_CUSTOM_RTD_POLY_4.a3,
//        trans1_CUSTOM_RTD_POLY_4.a4,
//        trans1_CUSTOM_RTD_POLY_5.Ohm,
//        trans1_CUSTOM_RTD_POLY_5.a0,
//        trans1_CUSTOM_RTD_POLY_5.a1,
//        trans1_CUSTOM_RTD_POLY_5.a2,
//        trans1_CUSTOM_RTD_POLY_5.a3,
//        trans1_CUSTOM_RTD_POLY_5.a4,

//    /* FUNCTION BLOCK 1: AI    */
//        func1_AI_1_st_rev,
//        func1_AI_1_tag_desc,
//        func1_AI_1_batch_id,
//        func1_AI_1_batch_unit,
//        func1_AI_1_batch_operation,
//        func1_AI_1_batch_phase,
//        func1_AI_1_channel,
//        func1_AI_1_pv_ftime,
//        func1_AI_1_target_mode,
//        func1_AI_1_pv_lower_range_value,
//        func1_AI_1_pv_upper_range_value,
//        func1_AI_1_out_lower_range_value,
//        func1_AI_1_out_upper_range_value,
//        func1_AI_1_out_unit,
//        func1_AI_1_out_decimal_point,
//        func1_AI_1_hi_hi_lim,
//        func1_AI_1_hi_lim,
//        func1_AI_1_lo_lim,
//        func1_AI_1_lo_lo_lim,
//        func1_AI_1_alarm_hys,
//        func1_AI_1_FSafeType,
//        func1_AI_1_FSafeValue,
//    }
//}

MENU upload_variables
{
    LABEL        [menu_load_to_device];
    ITEMS
    {
    /* PHYSICAL BLOCK    */
        phys_tag_desc,
        phys_descriptor,
        phys_message,
        phys_install_date,
        phys_device_ser_num,
        //phys_ident_number,
        //phys_write_locking,
        phys_local_operation_enable,
        phys_strategy,
        phys_alert_key,
        phys_disp_alternating_time,
        phys_disp_source_1,
        phys_disp_value_1_format,
        phys_disp_source_2,
        phys_disp_value_2_format,
        phys_disp_source_3,
        phys_disp_value_3_format,
        phys_disp_source_4,
        phys_disp_value_4_format,

    /* TRANDSDUCER BLOCK 1: */
        trans1_TT_1_tag_desc,
        trans1_TT_1_lin_type,
        trans1_TT_1_bias_1,
        trans1_TT_1_bias_2,
//	    IF (trans1_TT_1_sensor_meas_type != 0)
//        {   trans1_TT_1_bias_2,}

        trans1_TT_1_primary_value_unit,
        IF (trans1_TT_1_lin_type == 0)
        {    
            trans1_TT_1_input_range,
		}
        IF ((trans1_TT_1_lin_type == 128) || (trans1_TT_1_lin_type == 131)||(trans1_TT_1_lin_type == 242) || 
            ((trans1_TT_1_lin_type >= 133) && (trans1_TT_1_lin_type <= 138)))
        {   
            trans1_TT_1_rj_type,
            trans1_TT_1_external_rj_value,
        }
//        trans1_TT_1_bias_1,
        trans1_TT_1_sensor_connection,
        trans1_TT_1_Sensor_Modify,
        trans1_TT_1_sensor_wire_check_1,
        trans1_TT_1_sensor_meas_type,
        //trans1_TT_1_Channel
        trans1_TT_1_Sensor_Modify,

        trans1_TT_1_tdohm_500r,
        trans1_TT_1_tdohm_2000r,
        trans1_TT_1_tdohm_4000r,
        trans1_TT_1_tdohm_100mv,


        IF (trans1_TT_1_lin_type == 241)
        {
        trans1_CB_1_CustomRtdName,
        trans1_CB_1_CustomRtdPolyCount,
        trans1_CB_1_CustomRtdMinIn,
        trans1_CB_1_CustomRtdMinOut,
        trans1_CB_1_CustomRtdMaxOut,
        trans1_CB_1_CUSTOM_RTD_POLY_1.Ohm,
        trans1_CB_1_CUSTOM_RTD_POLY_1.a0,
        trans1_CB_1_CUSTOM_RTD_POLY_1.a1,
        trans1_CB_1_CUSTOM_RTD_POLY_1.a2,
        trans1_CB_1_CUSTOM_RTD_POLY_1.a3,
        trans1_CB_1_CUSTOM_RTD_POLY_1.a4
        trans1_CB_1_CUSTOM_RTD_POLY_2.Ohm,
        trans1_CB_1_CUSTOM_RTD_POLY_2.a0,
        trans1_CB_1_CUSTOM_RTD_POLY_2.a1,
        trans1_CB_1_CUSTOM_RTD_POLY_2.a2,
        trans1_CB_1_CUSTOM_RTD_POLY_2.a3,
        trans1_CB_1_CUSTOM_RTD_POLY_2.a4,
        trans1_CB_1_CUSTOM_RTD_POLY_3.Ohm,
        trans1_CB_1_CUSTOM_RTD_POLY_3.a0,
        trans1_CB_1_CUSTOM_RTD_POLY_3.a1,
        trans1_CB_1_CUSTOM_RTD_POLY_3.a2,
        trans1_CB_1_CUSTOM_RTD_POLY_3.a3,
        trans1_CB_1_CUSTOM_RTD_POLY_3.a4,
        trans1_CB_1_CUSTOM_RTD_POLY_4.Ohm,
        trans1_CB_1_CUSTOM_RTD_POLY_4.a0,
        trans1_CB_1_CUSTOM_RTD_POLY_4.a1,
        trans1_CB_1_CUSTOM_RTD_POLY_4.a2,
        trans1_CB_1_CUSTOM_RTD_POLY_4.a3,
        trans1_CB_1_CUSTOM_RTD_POLY_4.a4,
        trans1_CB_1_CUSTOM_RTD_POLY_5.Ohm,
        trans1_CB_1_CUSTOM_RTD_POLY_5.a0,
        trans1_CB_1_CUSTOM_RTD_POLY_5.a1,
        trans1_CB_1_CUSTOM_RTD_POLY_5.a2,
        trans1_CB_1_CUSTOM_RTD_POLY_5.a3,
        trans1_CB_1_CUSTOM_RTD_POLY_5.a4,
        }
        IF (trans1_TT_1_lin_type == 242)
        {
    	trans1_CB_1_CustomTcName,
        trans1_CB_1_CustomTcPolyCount,
        trans1_CB_1_CustomTcMinIn,
        trans1_CB_1_CustomTcMinOut,
        trans1_CB_1_CustomTcMaxOut,
        trans1_CB_1_CUSTOM_TC_POLY_1.Ohm, 
        trans1_CB_1_CUSTOM_TC_POLY_1.a0,  
        trans1_CB_1_CUSTOM_TC_POLY_1.a1,  
        trans1_CB_1_CUSTOM_TC_POLY_1.a2,  
        trans1_CB_1_CUSTOM_TC_POLY_1.a3,  
        trans1_CB_1_CUSTOM_TC_POLY_1.a4   
        trans1_CB_1_CUSTOM_TC_POLY_2.Ohm, 
        trans1_CB_1_CUSTOM_TC_POLY_2.a0,  
        trans1_CB_1_CUSTOM_TC_POLY_2.a1,  
        trans1_CB_1_CUSTOM_TC_POLY_2.a2,  
        trans1_CB_1_CUSTOM_TC_POLY_2.a3,  
        trans1_CB_1_CUSTOM_TC_POLY_2.a4,  
        trans1_CB_1_CUSTOM_TC_POLY_3.Ohm, 
        trans1_CB_1_CUSTOM_TC_POLY_3.a0,  
        trans1_CB_1_CUSTOM_TC_POLY_3.a1,  
        trans1_CB_1_CUSTOM_TC_POLY_3.a2,  
        trans1_CB_1_CUSTOM_TC_POLY_3.a3,  
        trans1_CB_1_CUSTOM_TC_POLY_3.a4,  
        trans1_CB_1_CUSTOM_TC_POLY_4.Ohm, 
        trans1_CB_1_CUSTOM_TC_POLY_4.a0,  
        trans1_CB_1_CUSTOM_TC_POLY_4.a1,  
        trans1_CB_1_CUSTOM_TC_POLY_4.a2,  
        trans1_CB_1_CUSTOM_TC_POLY_4.a3,  
        trans1_CB_1_CUSTOM_TC_POLY_4.a4,  
        trans1_CB_1_CUSTOM_TC_POLY_5.Ohm, 
        trans1_CB_1_CUSTOM_TC_POLY_5.a0,  
        trans1_CB_1_CUSTOM_TC_POLY_5.a1,  
        trans1_CB_1_CUSTOM_TC_POLY_5.a2,  
        trans1_CB_1_CUSTOM_TC_POLY_5.a3,  
        trans1_CB_1_CUSTOM_TC_POLY_5.a4, 
 	    trans1_CB_1_CUSTOM_TC_RJ_POLY.a0,
        trans1_CB_1_CUSTOM_TC_RJ_POLY.a1,
        trans1_CB_1_CUSTOM_TC_RJ_POLY.a2,
        trans1_CB_1_CUSTOM_TC_RJ_POLY.a3,
        }
        /* TRANDSDUCER BLOCK 2: */
        trans1_TT_2_tag_desc,
        trans1_TT_2_lin_type,
//        trans1_TT_2_bias_1,
//	    IF (trans1_TT_2_sensor_meas_type != 0)
//        {   trans1_TT_2_bias_1,}
//        IF (trans1_TT_2_sensor_meas_type != 1)
//        {   trans1_TT_2_bias_1,}
        trans1_TT_2_bias_1,
        trans1_TT_2_bias_2,
        trans1_TT_2_primary_value_unit,
        IF (trans1_TT_2_lin_type == 0)
        {    
            trans1_TT_2_input_range,
		}
        IF ((trans1_TT_2_lin_type == 128) || (trans1_TT_1_lin_type == 131)||(trans1_TT_2_lin_type == 242) || 
            ((trans1_TT_2_lin_type >= 133) && (trans1_TT_2_lin_type <= 138)))
        {   
            trans1_TT_2_rj_type,
            trans1_TT_2_external_rj_value,
        }
//        trans1_TT_1_bias_1,
        trans1_TT_2_sensor_connection,
        trans1_TT_2_Sensor_Modify,
        trans1_TT_2_sensor_wire_check_1,
        //trans1_TT_1_Channel
        trans1_TT_2_sensor_meas_type,
        trans1_TT_2_Sensor_Modify,

        trans1_TT_2_tdohm_500r,
        trans1_TT_2_tdohm_2000r,
        trans1_TT_2_tdohm_4000r,
        trans1_TT_2_tdohm_100mv,

    /* TRANDSDUCER BLOCK 2    */
        IF (trans1_TT_2_lin_type == 241)
        {
        trans1_CB_2_CustomRtdName,
        trans1_CB_2_CustomRtdPolyCount,
        trans1_CB_2_CustomRtdMinIn,
        trans1_CB_2_CustomRtdMinOut,
        trans1_CB_2_CustomRtdMaxOut,
        trans1_CB_2_CUSTOM_RTD_POLY_1.Ohm,
        trans1_CB_2_CUSTOM_RTD_POLY_1.a0,
        trans1_CB_2_CUSTOM_RTD_POLY_1.a1,
        trans1_CB_2_CUSTOM_RTD_POLY_1.a2,
        trans1_CB_2_CUSTOM_RTD_POLY_1.a3,
        trans1_CB_2_CUSTOM_RTD_POLY_1.a4
        trans1_CB_2_CUSTOM_RTD_POLY_2.Ohm,
        trans1_CB_2_CUSTOM_RTD_POLY_2.a0,
        trans1_CB_2_CUSTOM_RTD_POLY_2.a1,
        trans1_CB_2_CUSTOM_RTD_POLY_2.a2,
        trans1_CB_2_CUSTOM_RTD_POLY_2.a3,
        trans1_CB_2_CUSTOM_RTD_POLY_2.a4,
        trans1_CB_2_CUSTOM_RTD_POLY_3.Ohm,
        trans1_CB_2_CUSTOM_RTD_POLY_3.a0,
        trans1_CB_2_CUSTOM_RTD_POLY_3.a1,
        trans1_CB_2_CUSTOM_RTD_POLY_3.a2,
        trans1_CB_2_CUSTOM_RTD_POLY_3.a3,
        trans1_CB_2_CUSTOM_RTD_POLY_3.a4,
        trans1_CB_2_CUSTOM_RTD_POLY_4.Ohm,
        trans1_CB_2_CUSTOM_RTD_POLY_4.a0,
        trans1_CB_2_CUSTOM_RTD_POLY_4.a1,
        trans1_CB_2_CUSTOM_RTD_POLY_4.a2,
        trans1_CB_2_CUSTOM_RTD_POLY_4.a3,
        trans1_CB_2_CUSTOM_RTD_POLY_4.a4,
        trans1_CB_2_CUSTOM_RTD_POLY_5.Ohm,
        trans1_CB_2_CUSTOM_RTD_POLY_5.a0,
        trans1_CB_2_CUSTOM_RTD_POLY_5.a1,
        trans1_CB_2_CUSTOM_RTD_POLY_5.a2,
        trans1_CB_2_CUSTOM_RTD_POLY_5.a3,
        trans1_CB_2_CUSTOM_RTD_POLY_5.a4,
        }
        IF (trans1_TT_2_lin_type == 242)
        {
    	trans1_CB_2_CustomTcName,
        trans1_CB_2_CustomTcPolyCount,
        trans1_CB_2_CustomTcMinIn,
        trans1_CB_2_CustomTcMinOut,
        trans1_CB_2_CustomTcMaxOut,
        trans1_CB_2_CUSTOM_TC_POLY_1.Ohm, 
        trans1_CB_2_CUSTOM_TC_POLY_1.a0,  
        trans1_CB_2_CUSTOM_TC_POLY_1.a1,  
        trans1_CB_2_CUSTOM_TC_POLY_1.a2,  
        trans1_CB_2_CUSTOM_TC_POLY_1.a3,  
        trans1_CB_2_CUSTOM_TC_POLY_1.a4   
        trans1_CB_2_CUSTOM_TC_POLY_2.Ohm, 
        trans1_CB_2_CUSTOM_TC_POLY_2.a0,  
        trans1_CB_2_CUSTOM_TC_POLY_2.a1,  
        trans1_CB_2_CUSTOM_TC_POLY_2.a2,  
        trans1_CB_2_CUSTOM_TC_POLY_2.a3,  
        trans1_CB_2_CUSTOM_TC_POLY_2.a4,  
        trans1_CB_2_CUSTOM_TC_POLY_3.Ohm, 
        trans1_CB_2_CUSTOM_TC_POLY_3.a0,  
        trans1_CB_2_CUSTOM_TC_POLY_3.a1,  
        trans1_CB_2_CUSTOM_TC_POLY_3.a2,  
        trans1_CB_2_CUSTOM_TC_POLY_3.a3,  
        trans1_CB_2_CUSTOM_TC_POLY_3.a4,  
        trans1_CB_2_CUSTOM_TC_POLY_4.Ohm, 
        trans1_CB_2_CUSTOM_TC_POLY_4.a0,  
        trans1_CB_2_CUSTOM_TC_POLY_4.a1,  
        trans1_CB_2_CUSTOM_TC_POLY_4.a2,  
        trans1_CB_2_CUSTOM_TC_POLY_4.a3,  
        trans1_CB_2_CUSTOM_TC_POLY_4.a4,  
        trans1_CB_2_CUSTOM_TC_POLY_5.Ohm, 
        trans1_CB_2_CUSTOM_TC_POLY_5.a0,  
        trans1_CB_2_CUSTOM_TC_POLY_5.a1,  
        trans1_CB_2_CUSTOM_TC_POLY_5.a2,  
        trans1_CB_2_CUSTOM_TC_POLY_5.a3,  
        trans1_CB_2_CUSTOM_TC_POLY_5.a4, 
 	    trans1_CB_2_CUSTOM_TC_RJ_POLY.a0,
        trans1_CB_2_CUSTOM_TC_RJ_POLY.a1,
        trans1_CB_2_CUSTOM_TC_RJ_POLY.a2,
        trans1_CB_2_CUSTOM_TC_RJ_POLY.a3,
        }
        /* FUNCTION BLOCK 1: AI 1    */
        func1_AI_1_tag_desc,
        func1_AI_1_strategy,
        func1_AI_1_alert_key,
        func1_AI_1_target_mode,
        func1_AI_1_batch_id,
        func1_AI_1_batch_unit,
        func1_AI_1_batch_operation,
        func1_AI_1_batch_phase,
        func1_AI_1_channel,
        func1_AI_1_lin_type,
        func1_AI_1_pv_ftime,
        func1_AI_1_pv_upper_range_value,
        func1_AI_1_pv_lower_range_value,
        func1_AI_1_out_upper_range_value,
        func1_AI_1_out_lower_range_value,
        func1_AI_1_out_unit,
        func1_AI_1_out_decimal_point,
        func1_AI_1_alarm_hys,
        func1_AI_1_hi_hi_lim,
        func1_AI_1_hi_lim,
        func1_AI_1_lo_lim,
        func1_AI_1_lo_lo_lim,
        func1_AI_1_FSafeType,
        func1_AI_1_FSafeValue,
        func1_AI_1_out_unit_text,
        /* FUNCTION BLOCK 2: AI 2    */
        func1_AI_2_tag_desc,
        func1_AI_2_strategy,
        func1_AI_2_alert_key,
        func1_AI_2_target_mode,
        func1_AI_2_batch_id,
        func1_AI_2_batch_unit,
        func1_AI_2_batch_operation,
        func1_AI_2_batch_phase,
        func1_AI_2_channel,
        func1_AI_2_lin_type,
        func1_AI_2_pv_ftime,
        func1_AI_2_pv_upper_range_value,
        func1_AI_2_pv_lower_range_value,
        func1_AI_2_out_upper_range_value,
        func1_AI_2_out_lower_range_value,
        func1_AI_2_out_unit,
        func1_AI_2_out_decimal_point,
        func1_AI_2_alarm_hys,
        func1_AI_2_hi_hi_lim,
        func1_AI_2_hi_lim,
        func1_AI_2_lo_lim,
        func1_AI_2_lo_lo_lim,
        func1_AI_2_FSafeType,
        func1_AI_2_FSafeValue,
        func1_AI_2_out_unit_text, 
        /* FUNCTION BLOCK 3: AI 3   */
        func1_AI_3_tag_desc,
        func1_AI_3_strategy,
        func1_AI_3_alert_key,
        func1_AI_3_target_mode,
        func1_AI_3_batch_id,
        func1_AI_3_batch_unit,
        func1_AI_3_batch_operation,
        func1_AI_3_batch_phase,
        func1_AI_3_channel,
        func1_AI_3_lin_type,
        func1_AI_3_pv_ftime,
        func1_AI_3_pv_upper_range_value,
        func1_AI_3_pv_lower_range_value,
        func1_AI_3_out_upper_range_value,
        func1_AI_3_out_lower_range_value,
        func1_AI_3_out_unit,
        func1_AI_3_out_decimal_point,
        func1_AI_3_alarm_hys,
        func1_AI_3_hi_hi_lim,
        func1_AI_3_hi_lim,
        func1_AI_3_lo_lim,
        func1_AI_3_lo_lo_lim,
        func1_AI_3_FSafeType,
        func1_AI_3_FSafeValue,
        func1_AI_3_out_unit_text, 
        /* FUNCTION BLOCK 4: AI 4   */
        func1_AI_4_tag_desc,
        func1_AI_4_strategy,
        func1_AI_4_alert_key,
        func1_AI_4_target_mode,
        func1_AI_4_batch_id,
        func1_AI_4_batch_unit,
        func1_AI_4_batch_operation,
        func1_AI_4_batch_phase,
        func1_AI_4_channel,
        func1_AI_4_lin_type,
        func1_AI_4_pv_ftime,
        func1_AI_4_pv_upper_range_value,
        func1_AI_4_pv_lower_range_value,
        func1_AI_4_out_upper_range_value,
        func1_AI_4_out_lower_range_value,
        func1_AI_4_out_unit,
        func1_AI_4_out_decimal_point,
        func1_AI_4_alarm_hys,
        func1_AI_4_hi_hi_lim,
        func1_AI_4_hi_lim,
        func1_AI_4_lo_lim,
        func1_AI_4_lo_lo_lim,
        func1_AI_4_FSafeType,
        func1_AI_4_FSafeValue,
        func1_AI_4_out_unit_text,

    }
    PRE_READ_ACTIONS
    {
        method_pre_write_phys_write_locking
    }
}




/*---------------------------------------------------------------------*/
/*    Menu: Device                                                     */
/*---------------------------------------------------------------------*/

MENU Menu_S_Device
{
    LABEL        [menu_Device];
    ITEMS
    {
        std_NodeAddress,
        COLUMNBREAK,
        std_LoadinDevice,
        std_LoadinPC,
        COLUMNBREAK,
        OnlineDialog_configuration,//_Menu
        COLUMNBREAK,
        Menu_cal,
        OnlineDialog_simulation_AI,
        COLUMNBREAK,
        OnlineDialog_reset,
        OnlineDialog_write_locking,
        OnlineDialog_ident_number
    }
}

MENU Menu_M_Device
{
    LABEL        [menu_Device];
    ITEMS
    {
        std_NodeAddress,
        COLUMNBREAK,
        std_LoadinDevice,
        std_LoadinPC
    }
}

MENU OnlineDialog_configuration //Menu_
{
    LABEL "Configuration";
    ITEMS
    {
        OnlineDialog_trans1_TT_1_setting,
        OnlineDialog_trans1_TT_2_setting,
        OnlineWindow_AI_1_geral,
        OnlineWindow_AI_2_geral,
        OnlineWindow_AI_3_geral,
        OnlineWindow_AI_4_geral,
        OnlineWindow_Dsp

    }
}

MENU Menu_cal
{
    LABEL        [MC_menu_cal];
    ITEMS
    {
        OnlineDialog_trans1_TT_1_Calibration,
        OnlineDialog_trans1_TT_2_Calibration
    }
}

MENU OnlineDialog_simulation_AI
{
	LABEL		"Simulate AI";
	ITEMS
	{
		OnlineDialog_simulation_AI_1,
		OnlineDialog_simulation_AI_2,
        OnlineDialog_simulation_AI_3,
        OnlineDialog_simulation_AI_4
	}
}

MENU OnlineWindow_simulation
{
    LABEL        [menu_dialog_simulation];
    ITEMS
    {
        Page_simulation_input_func1,
        Page_simulation_output_func1
    }
}

/*---------------------------------------------------------------------*/
/*    Menu: View                                                       */
/*---------------------------------------------------------------------*/
MENU Menu_S_View
{
    LABEL        [menu_View];
    ITEMS
    {
        OnlineWindow_display,
        COLUMNBREAK,
        OnlineWindow_yt,
        Menu_S_alarm,
        OnlineWindow_diagnosis,
        COLUMNBREAK,
        std_Funktionsleiste,
        std_Statuszeile,
        COLUMNBREAK,
        std_Update
    }
}

MENU OnlineWindow_display
{
    LABEL        [menu_dialog_display];
    ITEMS
    {
        Page_display_trans1_TT_1,
        Page_display_trans1_TT_2,
        Page_display_func1_AI_1,
        Page_display_func1_AI_2,
        Page_display_func1_AI_3,
        Page_display_func1_AI_4
    }
}

MENU Menu_S_alarm
{
    LABEL        [menu_dialog_alarm];
    ITEMS
    {
        OnlineWindow_S_alarm_func1_AI_1,
        OnlineWindow_S_alarm_func1_AI_2,
        OnlineWindow_S_alarm_func1_AI_3,
        OnlineWindow_S_alarm_func1_AI_4
    }
}

MENU OnlineWindow_diagnosis
{
    LABEL        [menu_dialog_diagnosis];
    ITEMS
    {
        Page_diagnosis_general,
        Page_diagnosis_phys_block,
        Page_diagnosis_trans1_TT_1_block,
        Page_diagnosis_trans1_TT_2_block,
        Page_diagnosis_func1_AI_1,
        Page_diagnosis_func1_AI_2,
        Page_diagnosis_func1_AI_3,
        Page_diagnosis_func1_AI_4
    }
}


/***********************************************************************/
/*****    Table: Specialist    *****************************************/
/***********************************************************************/

MENU Table_Main_Specialist
{
    LABEL    [MC_Table_Main_Specialist];
    ITEMS
    {
        Tab_s_info,
        Tab_s_trd_TT_1,
        Tab_s_trd_TT_2,
        Tab_s_AI_1,
        Tab_s_AI_2,
        Tab_s_AI_3,
        Tab_s_AI_4,
        Tab_s_DSP

    }
}

MENU Tab_s_info
{
    LABEL    [MC_Tab_info];
    ITEMS
    {
        Tab_s_manuf_info,       /* file Phys_Blk.inc */
        Tab_s_block_tag,
        Tab_s_get_info,         /* file Phys_Blk.inc */
        Tab_serial_numbers,
        Tab_device_revisions,   /* file Phys_Blk.inc */
        Tab_s_certificates      /* file Phys_Blk.inc */
    }
}

MENU Tab_s_block_tag
{
    LABEL    [MC_Tab_block_tag];
    ITEMS
    {
        phys_tag_desc,
        trans1_TT_1_tag_desc,
        trans1_TT_2_tag_desc,
        func1_AI_1_tag_desc,
        func1_AI_2_tag_desc,
        func1_AI_3_tag_desc,
        func1_AI_4_tag_desc
    }
}

MENU Tab_serial_numbers
{
    LABEL   [MC_Tab_serial_numbers];
    ITEMS
    {
        phys_device_ser_num   (READ_ONLY)
    }
}




/******************************************************************************/
/*****    Table: Maintenance    ***********************************************/
/******************************************************************************/
MENU Table_Main_Maintenance
{
    LABEL    [MC_Table_Main_Maintenance];
    ITEMS
    {
        Tab_m_info,
        Tab_m_trd_TT_1,
        Tab_m_trd_TT_2,
        Tab_m_AI_1,
        Tab_m_AI_2,
        Tab_m_AI_3,
        Tab_m_AI_2
    }
}

MENU Tab_m_info
{
    LABEL    [MC_Tab_info];
    ITEMS
    {
        Tab_m_manuf_info,       /* file Phys_Blk.inc */
        Tab_m_block_tag,
        Tab_m_get_info,         /* file Phys_Blk.inc */
        Tab_serial_numbers,     /* file Phys_Blk.inc */
        Tab_device_revisions,   /* file Phys_Blk.inc */
        Tab_m_certificates      /* file Phys_Blk.inc */
    }
}

MENU Tab_m_block_tag
{
    LABEL    [MC_Tab_block_tag];
    ITEMS
    {
        phys_tag_desc  (READ_ONLY),
        trans1_TT_1_tag_desc  (READ_ONLY),
        trans1_TT_2_tag_desc  (READ_ONLY),
        func1_AI_1_tag_desc  (READ_ONLY),
        func1_AI_2_tag_desc  (READ_ONLY),
        func1_AI_3_tag_desc  (READ_ONLY),
        func1_AI_4_tag_desc  (READ_ONLY)
    }
}


METHOD std_NodeAddress
{
    LABEL        [menu_Device_NodeAddress];
    DEFINITION
    {
    }
}

METHOD std_LoadinDevice
{
    LABEL        [menu_Device_LoadinDevice];
    DEFINITION
    {
    }
}

METHOD std_LoadinPC
{
    LABEL        [menu_Device_LoadinPC];
    DEFINITION
    {
    }
}

METHOD std_Funktionsleiste
{
    LABEL        [menu_View_Toolbar];
    DEFINITION
    {
    }
}

METHOD std_Statuszeile
{
    LABEL        [menu_View_Statusbar];
    DEFINITION
    {
    }
}

METHOD std_Update
{
    LABEL        [menu_View_Update];
    DEFINITION
    {
    }
}

METHOD method_set
{
    LABEL        [MC_Write];
    HELP         [transfer_help];
    DEFINITION
    {
    }
}

//METHOD method_post_write_read_device_values
//{
//    LABEL  "";
//    DEFINITION
//    {
//        DELAY_TIME(1);
//        ReadCommand(read_trans1_TT_1_bias_1);
//        ReadCommand(read_trans1_TT_1_upper_sensor_limit);
//        ReadCommand(read_trans1_TT_1_lower_sensor_limit);
//    }
//}

//METHOD method_tt_1_lin_type
//{
//    LABEL        [MC_method_tt_lin_type];
//    DEFINITION
//    {
//        switch (trans1_TT_1_lin_type)
//        {
//        case 0:
//            switch (trans1_TT_1_input_range)
//            {
//            case 0:
//                if (trans1_TT_1_primary_value_unit != 1243)
//                {
//                    trans1_TT_1_primary_value_unit = 1243;
//                }
//                trans1_TT_1_upper_sensor_limit = 100;
//                trans1_TT_1_lower_sensor_limit = -100;
//                break;
//
//            case 128:
//                if ((trans1_TT_1_primary_value_unit != 1281) || (trans1_TT_1_primary_value_unit != 1284))
//                {
//                    trans1_TT_1_primary_value_unit = 1281;
//                }
//                trans1_TT_1_upper_sensor_limit = 500;
//                trans1_TT_1_lower_sensor_limit = 0;
//                break;
//
//            case 129:
//                if ((trans1_TT_1_primary_value_unit != 1281) || (trans1_TT_1_primary_value_unit != 1284))
//                {
//                    trans1_TT_1_primary_value_unit = 1281;
//                }
//                trans1_TT_1_upper_sensor_limit = 4000;
//                trans1_TT_1_lower_sensor_limit = 0;
//                break;
//            }
//            break;
//
//        case 102:
//        case 105:
//            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
//            {
//                trans1_TT_1_primary_value_unit = 1001;
//            }
//            trans1_TT_1_upper_sensor_limit = 850;
//            trans1_TT_1_lower_sensor_limit = -200;
//            break;
//
//        case 240:
//        case 127:
//            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
//            {
//                trans1_TT_1_primary_value_unit = 1001;
//            }
//            trans1_TT_1_upper_sensor_limit = 150;
//            trans1_TT_1_lower_sensor_limit = -50;
//            break;
//
//        case 128:
//            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
//            {
//                trans1_TT_1_primary_value_unit = 1001;
//            }
//            trans1_TT_1_upper_sensor_limit = 1820;
//            trans1_TT_1_lower_sensor_limit = 0;
//            break;
//
//        case 131:
//            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
//            {
//                trans1_TT_1_primary_value_unit = 1001;
//            }
//            trans1_TT_1_upper_sensor_limit = 1000;
//            trans1_TT_1_lower_sensor_limit = -270;
//            break;
//
//        case 133:
//            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
//            {
//                trans1_TT_1_primary_value_unit = 1001;
//            }
//            trans1_TT_1_upper_sensor_limit = 1200;
//            trans1_TT_1_lower_sensor_limit = -210;
//            break;
//
//        case 134:
//            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
//            {
//                trans1_TT_1_primary_value_unit = 1001;
//            }
//            trans1_TT_1_upper_sensor_limit = 1372;
//            trans1_TT_1_lower_sensor_limit = -270;
//            break;
//
//        case 135:
//            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
//            {
//                trans1_TT_1_primary_value_unit = 1001;
//            }
//            trans1_TT_1_upper_sensor_limit = 1300;
//            trans1_TT_1_lower_sensor_limit = -270;
//            break;
//
//        case 136:
//        case 137:
//            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
//            {
//                trans1_TT_1_primary_value_unit = 1001;
//            }
//            trans1_TT_1_upper_sensor_limit = 1768;
//            trans1_TT_1_lower_sensor_limit = -50;
//            break;
//
//        case 138:
//            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
//            {
//                trans1_TT_1_primary_value_unit = 1001;
//            }
//            trans1_TT_1_upper_sensor_limit = 400;
//            trans1_TT_1_lower_sensor_limit = -270;
//            break;
//
//        case 241:
//            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
//            {
//                trans1_TT_1_primary_value_unit = 1001;
//            }
//            trans1_TT_1_upper_sensor_limit = 850;
//            trans1_TT_1_lower_sensor_limit = -200;
//            break;
//
//        case 242:
//            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
//            {
//                trans1_TT_1_primary_value_unit = 1001;
//            }
//            trans1_TT_1_upper_sensor_limit = 1768;
//            trans1_TT_1_lower_sensor_limit = -270;
//            break;
//        }
//
//        switch (trans1_TT_1_primary_value_unit)
//        {
//        case 1000:  //K ¶
//            trans1_TT_1_upper_sensor_limit += 273.15;
//            trans1_TT_1_lower_sensor_limit += 273.15;
//            break;
//
//        case 1001:  //C ¶
//        case 1243:  //mV
//        case 1281:  //Ohm
//            trans1_TT_1_upper_sensor_limit = trans1_TT_1_upper_sensor_limit;
//            trans1_TT_1_lower_sensor_limit = trans1_TT_1_lower_sensor_limit;
//            break;
//
//        case 1002:  //F ¶
//            trans1_TT_1_upper_sensor_limit = trans1_TT_1_upper_sensor_limit*9/5+32;
//            trans1_TT_1_lower_sensor_limit = trans1_TT_1_lower_sensor_limit*9/5+32;
//            break;
//
//        case 1003:  //R ¶
//            trans1_TT_1_upper_sensor_limit = trans1_TT_1_upper_sensor_limit*9/5+32+495.69;
//            trans1_TT_1_lower_sensor_limit = trans1_TT_1_lower_sensor_limit*9/5+32+495.69;
//            break;
//
//        case 1284:  //kOhm
//            trans1_TT_1_upper_sensor_limit = trans1_TT_1_upper_sensor_limit/1000;
//            trans1_TT_1_lower_sensor_limit = trans1_TT_1_lower_sensor_limit/1000;
//           break;
//        }
//
////        WriteCommand(write_trans1_TT_1_primary_value_unit);
////        ReadCommand(read_trans1_TT_1_primary_value_unit);
////        ReadCommand(read_trans1_TT_1_upper_sensor_limit);
////        ReadCommand(read_trans1_TT_1_lower_sensor_limit);
//    }
//}

//METHOD method_tt_1_input_range
//{
//    LABEL        [MC_method_tt_input_range];
//    DEFINITION
//    {
//        if (trans1_TT_1_lin_type == 0)
//        {
//            switch (trans1_TT_1_input_range)
//            {
//            case 0:
//                if (trans1_TT_1_primary_value_unit != 1243)
//                {
//                    trans1_TT_1_primary_value_unit = 1243;
//                }
//                trans1_TT_1_upper_sensor_limit = 100;
//                trans1_TT_1_lower_sensor_limit = -100;
//                break;
//
//            case 128:
//                if ((trans1_TT_1_primary_value_unit != 1281) || (trans1_TT_1_primary_value_unit != 1284))
//                {
//                    trans1_TT_1_primary_value_unit = 1281;
//                }
//                trans1_TT_1_upper_sensor_limit = 500;
//                trans1_TT_1_lower_sensor_limit = 0;
//                break;
//
//            case 129:
//                if ((trans1_TT_1_primary_value_unit != 1281) || (trans1_TT_1_primary_value_unit != 1284))
//                {
//                    trans1_TT_1_primary_value_unit = 1281;
//                }
//                trans1_TT_1_upper_sensor_limit = 4000;
//                trans1_TT_1_lower_sensor_limit = 0;
//                break;
//            }
//        }
//
////        WriteCommand(write_trans1_TT_1_primary_value_unit);
////        ReadCommand(read_trans1_TT_1_primary_value_unit);
////        ReadCommand(read_trans1_TT_1_upper_sensor_limit);
////        ReadCommand(read_trans1_TT_1_lower_sensor_limit);
//    }
//}

METHOD method_pre_write_phys_write_locking
{
    LABEL   [method_pre_write_phys_write_locking];
    DEFINITION
    {
        int ret;
        ReadCommand (read_phys_write_locking);
        if ( phys_write_locking == 0 )
        {
            ret = ACKNOWLEDGE([label_DeviceIsWriteProtected]);
            if (ret) process_abort();
        }
    }
}

METHOD method_write_trans1_TT_1_Sensor_type
{
    LABEL [MC_Write];
    DEFINITION
    {
        WriteCommand(write_trans1_TT_1_lin_type);
        ReadCommand(read_trans1_TT_1_lin_type);

        if (trans1_TT_1_lin_type == 0)
        {
            WriteCommand(write_trans1_TT_1_input_range);
            ReadCommand(read_trans1_TT_1_input_range);
        }

        switch (trans1_TT_1_lin_type)
        {
        case 0:
            switch (trans1_TT_1_input_range)
            {
            case 0:
                trans1_TT_1_primary_value_unit = 1243;
                trans1_TT_1_upper_sensor_limit = 100;
                trans1_TT_1_lower_sensor_limit = -100;
                break;

            case 128:
                trans1_TT_1_primary_value_unit = 1281;
                trans1_TT_1_upper_sensor_limit = 500;
                trans1_TT_1_lower_sensor_limit = 0;
                break;

            case 129:
                trans1_TT_1_primary_value_unit = 1281;
                trans1_TT_1_upper_sensor_limit = 4000;
                trans1_TT_1_lower_sensor_limit = 0;
                break;
            }
            break;

        case 102:
        case 105:
            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
            {
                trans1_TT_1_primary_value_unit = 1001;
            }
            trans1_TT_1_upper_sensor_limit = 850;
            trans1_TT_1_lower_sensor_limit = -200;
            break;

        case 240:
        case 127:
            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
            {
                trans1_TT_1_primary_value_unit = 1001;
            }
            trans1_TT_1_upper_sensor_limit = 150;
            trans1_TT_1_lower_sensor_limit = -50;
            break;

        case 128:
            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
            {
                trans1_TT_1_primary_value_unit = 1001;
            }
            trans1_TT_1_upper_sensor_limit = 1820;
            trans1_TT_1_lower_sensor_limit = 0;
            break;

        case 131:
            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
            {
                trans1_TT_1_primary_value_unit = 1001;
            }
            trans1_TT_1_upper_sensor_limit = 1000;
            trans1_TT_1_lower_sensor_limit = -270;
            break;

        case 133:
            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
            {
                trans1_TT_1_primary_value_unit = 1001;
            }
            trans1_TT_1_upper_sensor_limit = 1200;
            trans1_TT_1_lower_sensor_limit = -210;
            break;

        case 134:
            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
            {
                trans1_TT_1_primary_value_unit = 1001;
            }
            trans1_TT_1_upper_sensor_limit = 1372;
            trans1_TT_1_lower_sensor_limit = -270;
            break;

        case 135:
            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
            {
                trans1_TT_1_primary_value_unit = 1001;
            }
            trans1_TT_1_upper_sensor_limit = 1300;
            trans1_TT_1_lower_sensor_limit = -270;
            break;

        case 136:
        case 137:
            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
            {
                trans1_TT_1_primary_value_unit = 1001;
            }
            trans1_TT_1_upper_sensor_limit = 1768;
            trans1_TT_1_lower_sensor_limit = -50;
            break;

        case 138:
            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
            {
                trans1_TT_1_primary_value_unit = 1001;
            }
            trans1_TT_1_upper_sensor_limit = 400;
            trans1_TT_1_lower_sensor_limit = -270;
            break;

        case 241:
            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
            {
                trans1_TT_1_primary_value_unit = 1001;
            }
            trans1_TT_1_upper_sensor_limit = 850;
            trans1_TT_1_lower_sensor_limit = -200;
            break;

        case 242:
            if ((trans1_TT_1_primary_value_unit == 1243) || (trans1_TT_1_primary_value_unit == 1281) || (trans1_TT_1_primary_value_unit == 1284))
            {
                trans1_TT_1_primary_value_unit = 1001;
            }
            trans1_TT_1_upper_sensor_limit = 1768;
            trans1_TT_1_lower_sensor_limit = -270;
            break;
        }

        switch (trans1_TT_1_primary_value_unit)
        {
        case 1000:  //K ¶
            trans1_TT_1_upper_sensor_limit += 273.15;
            trans1_TT_1_lower_sensor_limit += 273.15;
            break;

        case 1001:  //C ¶
        case 1243:  //mV
        case 1281:  //Ohm
            trans1_TT_1_upper_sensor_limit = trans1_TT_1_upper_sensor_limit;
            trans1_TT_1_lower_sensor_limit = trans1_TT_1_lower_sensor_limit;
            break;

        case 1002:  //F ¶
            trans1_TT_1_upper_sensor_limit = trans1_TT_1_upper_sensor_limit*9/5+32;
            trans1_TT_1_lower_sensor_limit = trans1_TT_1_lower_sensor_limit*9/5+32;
            break;

        case 1003:  //R ¶
            trans1_TT_1_upper_sensor_limit = trans1_TT_1_upper_sensor_limit*9/5+32+495.69;
            trans1_TT_1_lower_sensor_limit = trans1_TT_1_lower_sensor_limit*9/5+32+495.69;
            break;

        case 1284:  //kOhm
            trans1_TT_1_upper_sensor_limit = trans1_TT_1_upper_sensor_limit/1000;
            trans1_TT_1_lower_sensor_limit = trans1_TT_1_lower_sensor_limit/1000;
           break;
        }

        WriteCommand(write_trans1_TT_1_primary_value_unit);

        ReadCommand(read_trans1_TT_1_primary_value_unit);
        ReadCommand(read_trans1_TT_1_upper_sensor_limit);
        ReadCommand(read_trans1_TT_1_lower_sensor_limit);
    }
}



