
#define VALID_TT_1_TC_POLY(part)                                             \
IF (trans1_TT_1_lin_type == 242)                                           \
{                                                                       \
    IF(trans1_CB_1_CustomTcPolyCount >= part)                             \
    {                                                                   \
        TRUE;                                                           \
    }                                                                   \
    ELSE                                                                \
    {                                                                   \
        FALSE;                                                          \
    }                                                                   \
}                                                                       \
ELSE                                                                    \
{                                                                       \
    FALSE;                                                              \
}
#define VALID_TT_2_TC_POLY(part)                                             \
IF (trans1_TT_2_lin_type == 242)                                           \
{                                                                       \
    IF(trans1_CB_2_CustomTcPolyCount >= part)                             \
    {                                                                   \
        TRUE;                                                           \
    }                                                                   \
    ELSE                                                                \
    {                                                                   \
        FALSE;                                                          \
    }                                                                   \
}                                                                       \
ELSE                                                                    \
{                                                                       \
    FALSE;                                                              \
}
#define VALID_TT_1_RTD_POLY(part)                                            \
IF (trans1_TT_1_lin_type == 241)                                        \
{                                                                       \
    IF(trans1_CB_1_CustomRtdPolyCount >= part)                          \
    {                                                                   \
        TRUE;                                                           \
    }                                                                   \
    ELSE                                                                \
    {                                                                   \
        FALSE;                                                          \
    }                                                                   \
}                                                                       \
ELSE                                                                    \
{                                                                       \
    FALSE;                                                              \
}
#define VALID_TT_2_RTD_POLY(part)                                            \
IF (trans1_TT_2_lin_type == 241)                                        \
{                                                                       \
    IF(trans1_CB_2_CustomRtdPolyCount >= part)                          \
    {                                                                   \
        TRUE;                                                           \
    }                                                                   \
    ELSE                                                                \
    {                                                                   \
        FALSE;                                                          \
    }                                                                   \
}                                                                       \
ELSE                                                                    \
{                                                                       \
    FALSE;                                                              \
}


VARIABLE trans1_CB_1_CustomTcName             /* index 8 */
{
    LABEL       "Name";
    HELP        "Custom TC Name";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        ASCII (20)
    {
        DEFAULT_VALUE   "Linear TC";
    }
}

VARIABLE trans1_CB_1_CustomTcPolyCount             /* index 9 */
{
    LABEL       "Number of Polynomials";
    HELP        "Custum TC Poly Count";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    1;
        { 1,    "1"        },
        { 2,    "2"        },
        { 3,    "3"        },
        { 4,    "4"        },
        { 5,    "5"        }
    }
}

VARIABLE trans1_CB_1_CustomTcMinIn             /* index 10 */
{
    LABEL       "Lower x-Value";
    HELP        "Custom TC Min In";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   -100;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
}

VARIABLE MinIn_CB_1_CustomTc_Poly_2
{
    LABEL       "Lower x-Value";
    HELP        "Custom TC Min In";
    CLASS       LOCAL;
    HANDLING    READ;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   -60;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
    VALIDITY        VALID_TT_1_TC_POLY(2)
}

VARIABLE MinIn_CB_1_CustomTc_Poly_3
{
    LABEL       "Lower x-Value";
    HELP        "Custom TC Min In";
    CLASS       LOCAL;
    HANDLING    READ;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   -20;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
    VALIDITY        VALID_TT_1_TC_POLY(3)
}

VARIABLE MinIn_CB_1_CustomTc_Poly_4
{
    LABEL       "Lower x-Value";
    HELP        "Custom TC Min In";
    CLASS       LOCAL;
    HANDLING    READ;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   20;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
    VALIDITY        VALID_TT_1_TC_POLY(4)
}

VARIABLE MinIn_CB_1_CustomTc_Poly_5
{
    LABEL       "Lower x-Value";
    HELP        "Custom TC Min In";
    CLASS       LOCAL;
    HANDLING    READ;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   60;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
    VALIDITY        VALID_TT_1_TC_POLY(5)
}

VARIABLE trans1_CB_1_CustomTcMinOut             /* index 11 */
{
    LABEL       "Lower y-Value";
    HELP        "Custom TC Min Out";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
        MIN_VALUE       -1000;
        MAX_VALUE       1000;
    }
    CONSTANT_UNIT   [unit_1001];
}

VARIABLE trans1_CB_1_CustomTcMaxOut             /* index 12 */
{
    LABEL       "Upper y-Value";
    HELP        "Custom TC Max Out";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1500;
        MIN_VALUE       -1000;
        MAX_VALUE       1500;
    }
    CONSTANT_UNIT   [unit_1001];
}

COLLECTION OF VARIABLE trans1_CB_1_CUSTOM_TC_POLY_1
{
    LABEL           "Polynomial Part 1";
    MEMBERS
    {
        Ohm,    trans1_CB_1_CustomTcPoly1_1;
        a0,     trans1_CB_1_CustomTcPoly1_2;
        a1,     trans1_CB_1_CustomTcPoly1_3;
        a2,     trans1_CB_1_CustomTcPoly1_4;
        a3,     trans1_CB_1_CustomTcPoly1_5;
        a4,     trans1_CB_1_CustomTcPoly1_6;
    }
}

COLLECTION OF VARIABLE trans1_CB_1_CUSTOM_TC_POLY_2
{
    LABEL           "Polynomial Part 2";
    MEMBERS
    {
        Ohm,    trans1_CB_1_CustomTcPoly2_1;
        a0,     trans1_CB_1_CustomTcPoly2_2;
        a1,     trans1_CB_1_CustomTcPoly2_3;
        a2,     trans1_CB_1_CustomTcPoly2_4;
        a3,     trans1_CB_1_CustomTcPoly2_5;
        a4,     trans1_CB_1_CustomTcPoly2_6;
    }
}

COLLECTION OF VARIABLE trans1_CB_1_CUSTOM_TC_POLY_3
{
    LABEL           "Polynomial Part 3";
    MEMBERS
    {
        Ohm,    trans1_CB_1_CustomTcPoly3_1;
        a0,     trans1_CB_1_CustomTcPoly3_2;
        a1,     trans1_CB_1_CustomTcPoly3_3;
        a2,     trans1_CB_1_CustomTcPoly3_4;
        a3,     trans1_CB_1_CustomTcPoly3_5;
        a4,     trans1_CB_1_CustomTcPoly3_6;
    }
}

COLLECTION OF VARIABLE trans1_CB_1_CUSTOM_TC_POLY_4
{
    LABEL           "Polynomial Part 4";
    MEMBERS
    {
        Ohm,    trans1_CB_1_CustomTcPoly4_1;
        a0,     trans1_CB_1_CustomTcPoly4_2;
        a1,     trans1_CB_1_CustomTcPoly4_3;
        a2,     trans1_CB_1_CustomTcPoly4_4;
        a3,     trans1_CB_1_CustomTcPoly4_5;
        a4,     trans1_CB_1_CustomTcPoly4_6;
    }
}

COLLECTION OF VARIABLE trans1_CB_1_CUSTOM_TC_POLY_5
{
    LABEL           "Polynomial Part 5";
    MEMBERS
    {
        Ohm,    trans1_CB_1_CustomTcPoly5_1;
        a0,     trans1_CB_1_CustomTcPoly5_2;
        a1,     trans1_CB_1_CustomTcPoly5_3;
        a2,     trans1_CB_1_CustomTcPoly5_4;
        a3,     trans1_CB_1_CustomTcPoly5_5;
        a4,     trans1_CB_1_CustomTcPoly5_6;
    }
}

VARIABLE trans1_CB_1_CustomTcPoly1_1             /* index 13 */
{
    LABEL       "Upper x-Value";
    HELP        "Custom TC Poly 1 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   -60;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
    VALIDITY    VALID_TT_1_TC_POLY(1);
    POST_EDIT_ACTIONS
	{
		mtd_set_CB_1_min_value1
	}
}

VARIABLE trans1_CB_1_CustomTcPoly1_2             /* index 13 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom TC Poly 1 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(1);
}

VARIABLE trans1_CB_1_CustomTcPoly1_3             /* index 13 */
{
    LABEL       "1th Order: b";
    HELP        "Custom TC Poly 1 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_1_TC_POLY(1);
}

VARIABLE trans1_CB_1_CustomTcPoly1_4             /* index 13 */
{
    LABEL       "2th Order: c";
    HELP        "Custom TC Poly 1 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(1);
}

VARIABLE trans1_CB_1_CustomTcPoly1_5             /* index 13 */
{
    LABEL       "3th Order: d";
    HELP        "Custom TC Poly 1 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(1);
}

VARIABLE trans1_CB_1_CustomTcPoly1_6             /* index 13 */
{
    LABEL       "4th Order: e";
    HELP        "Custom TC Poly 1 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(1);
}

VARIABLE trans1_CB_1_CustomTcPoly2_1             /* index 14 */
{
    LABEL       "Upper x-Value";
    HELP        "Custom TC Poly 2 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   -20;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
    VALIDITY    VALID_TT_1_TC_POLY(2);
    POST_EDIT_ACTIONS
	{
		mtd_set_CB_1_min_value2
	}
}

VARIABLE trans1_CB_1_CustomTcPoly2_2             /* index 14 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom TC Poly 2 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(2);
}

VARIABLE trans1_CB_1_CustomTcPoly2_3             /* index 14 */
{
    LABEL       "1th Order: b";
    HELP        "Custom TC Poly 2 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_1_TC_POLY(2);
}

VARIABLE trans1_CB_1_CustomTcPoly2_4             /* index 14 */
{
    LABEL       "2th Order: c";
    HELP        "Custom TC Poly 2 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(2);
}

VARIABLE trans1_CB_1_CustomTcPoly2_5             /* index 14 */
{
    LABEL       "3th Order: d";
    HELP        "Custom TC Poly 2 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(2);
}

VARIABLE trans1_CB_1_CustomTcPoly2_6             /* index 14 */
{
    LABEL       "4th Order: e";
    HELP        "Custom TC Poly 2 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(2);
}

VARIABLE trans1_CB_1_CustomTcPoly3_1             /* index 15 */
{
    LABEL       "Upper x-Value";
    HELP        "Custom TC Poly 3 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   20;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
    VALIDITY    VALID_TT_1_TC_POLY(3);
    POST_EDIT_ACTIONS
	{
		mtd_set_CB_1_min_value3
	}
}

VARIABLE trans1_CB_1_CustomTcPoly3_2             /* index 15 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom TC Poly 3 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(3);
}

VARIABLE trans1_CB_1_CustomTcPoly3_3             /* index 15 */
{
    LABEL       "1th Order: b";
    HELP        "Custom TC Poly 3 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_1_TC_POLY(3);
}

VARIABLE trans1_CB_1_CustomTcPoly3_4             /* index 15 */
{
    LABEL       "2th Order: c";
    HELP        "Custom TC Poly 3 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(3);
}

VARIABLE trans1_CB_1_CustomTcPoly3_5             /* index 15 */
{
    LABEL       "3th Order: d";
    HELP        "Custom TC Poly 3 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(3);
}

VARIABLE trans1_CB_1_CustomTcPoly3_6             /* index 15 */
{
    LABEL       "4th Order: e";
    HELP        "Custom TC Poly 3 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(3);
}

VARIABLE trans1_CB_1_CustomTcPoly4_1             /* index 16 */
{
    LABEL       "Upper x-Value";
    HELP        "Custom TC Poly 4 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   60;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
    VALIDITY    VALID_TT_1_TC_POLY(4);
    POST_EDIT_ACTIONS
	{
		mtd_set_CB_1_min_value4
	}
}

VARIABLE trans1_CB_1_CustomTcPoly4_2             /* index 16 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom TC Poly 4 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(4);
}

VARIABLE trans1_CB_1_CustomTcPoly4_3             /* index 16 */
{
    LABEL       "1th Order: b";
    HELP        "Custom TC Poly 4 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_1_TC_POLY(4);
}

VARIABLE trans1_CB_1_CustomTcPoly4_4             /* index 16 */
{
    LABEL       "2th Order: c";
    HELP        "Custom TC Poly 4 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(4);
}

VARIABLE trans1_CB_1_CustomTcPoly4_5             /* index 16 */
{
    LABEL       "3th Order: d";
    HELP        "Custom TC Poly 4 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(4);
}

VARIABLE trans1_CB_1_CustomTcPoly4_6             /* index 16 */
{
    LABEL       "4th Order: e";
    HELP        "Custom TC Poly 4 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(4);
}

VARIABLE trans1_CB_1_CustomTcPoly5_1             /* index 17 */
{
    LABEL       "Poly 5";
    HELP        "Custom TC Poly 5 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   100;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
    VALIDITY    VALID_TT_1_TC_POLY(5);
//    POST_EDIT_ACTIONS
//	{
//		mtd_set_min_value5
//	}
}

VARIABLE trans1_CB_1_CustomTcPoly5_2             /* index 17 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom TC Poly 5 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(5);
}

VARIABLE trans1_CB_1_CustomTcPoly5_3             /* index 17 */
{
    LABEL       "1th Order: b";
    HELP        "Custom TC Poly 5 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_1_TC_POLY(5);
}

VARIABLE trans1_CB_1_CustomTcPoly5_4             /* index 17 */
{
    LABEL       "2th Order: c";
    HELP        "Custom TC Poly 5 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(5);
}

VARIABLE trans1_CB_1_CustomTcPoly5_5             /* index 17 */
{
    LABEL       "3th Order: d";
    HELP        "Custom TC Poly 5 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(5);
}

VARIABLE trans1_CB_1_CustomTcPoly5_6             /* index 17 */
{
    LABEL       "4th Order: e";
    HELP        "Custom TC Poly 5 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(5);
}

COLLECTION OF VARIABLE trans1_CB_1_CUSTOM_TC_RJ_POLY
{
    LABEL           "Polynomial Part RJ";
    MEMBERS
    {
        a0,     trans1_CB_1_CustomTcRjPoly_1;
        a1,     trans1_CB_1_CustomTcRjPoly_2;
        a2,     trans1_CB_1_CustomTcRjPoly_3;
        a3,     trans1_CB_1_CustomTcRjPoly_4;
    }
}

VARIABLE trans1_CB_1_CustomTcRjPoly_1             /* index 18 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom TC RJ Poly - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(1);
}

VARIABLE trans1_CB_1_CustomTcRjPoly_2             /* index 18 */
{
    LABEL       "1th Order: b";
    HELP        "Custom TC RJ Poly - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_1_TC_POLY(1);
}

VARIABLE trans1_CB_1_CustomTcRjPoly_3             /* index 18 */
{
    LABEL       "2th Order: c";
    HELP        "Custom TC RJ Poly - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(1);
}

VARIABLE trans1_CB_1_CustomTcRjPoly_4             /* index 18 */
{
    LABEL       "3th Order: d";
    HELP        "Custom TC RJ Poly - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_TC_POLY(1);
}

VARIABLE trans1_CB_1_CustomRtdName             /* index 19 */
{
    LABEL       "Name";
    HELP        "Custom RTD Name";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        ASCII (20)
    {
        DEFAULT_VALUE   "Linear RTD";
    }
}

VARIABLE trans1_CB_1_CustomRtdPolyCount             /* index 20 */
{
    LABEL       "Number of Polynomails";
    HELP        "Custum RTD Poly Count";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    1;
        { 1,    "1"        },
        { 2,    "2"        },
        { 3,    "3"        },
        { 4,    "4"        },
        { 5,    "5"        }
    }
}

VARIABLE trans1_CB_1_CustomRtdMinIn             /* index 21 */
{
    LABEL       "Lower x-Value";
    HELP        "Custom RTD Min In";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
}

VARIABLE MinIn_CB_1_CustomRtd_Poly_2
{
    LABEL       "Lower x-Value";
    HELP        "Custom RTD Min In";
    CLASS       LOCAL;
    HANDLING    READ;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   800;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
    VALIDITY        VALID_TT_1_RTD_POLY(2)
}

VARIABLE MinIn_CB_1_CustomRtd_Poly_3
{
    LABEL       "Lower x-Value";
    HELP        "Custom RTD Min In";
    CLASS       LOCAL;
    HANDLING    READ;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1600;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
    VALIDITY        VALID_TT_1_RTD_POLY(3)
}

VARIABLE MinIn_CB_1_CustomRtd_Poly_4
{
    LABEL       "Lower x-Value";
    HELP        "Custom RTD Min In";
    CLASS       LOCAL;
    HANDLING    READ;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   2400;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
    VALIDITY        VALID_TT_1_RTD_POLY(4)
}

VARIABLE MinIn_CB_1_CustomRtd_Poly_5
{
    LABEL       "Lower x-Value";
    HELP        "Custom RTD Min In";
    CLASS       LOCAL;
    HANDLING    READ;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   3200;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
    VALIDITY        VALID_TT_1_RTD_POLY(5)
}

VARIABLE trans1_CB_1_CustomRtdMinOut             /* index 22 */
{
    LABEL       "Lower y-Value";
    HELP        "Custom RTD Min Out";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
        MIN_VALUE       -1000;
        MAX_VALUE       1000;
    }
    CONSTANT_UNIT   [unit_1001];
}

// 23  FLOAT                   CustomRtdMaxOut
VARIABLE trans1_CB_1_CustomRtdMaxOut             /* index 23 */
{
    LABEL       "Upper y-Value";
    HELP        "Custom RTD Max Out";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1000;
        MIN_VALUE       -1000;
        MAX_VALUE       1000;
    }
    CONSTANT_UNIT   [unit_1001];
}

COLLECTION OF VARIABLE trans1_CB_1_CUSTOM_RTD_POLY_1
{
    LABEL           "Polynomial Part 1";
    MEMBERS
    {
        Ohm,    trans1_CB_1_CustomRtdPoly1_1;
        a0,     trans1_CB_1_CustomRtdPoly1_2;
        a1,     trans1_CB_1_CustomRtdPoly1_3;
        a2,     trans1_CB_1_CustomRtdPoly1_4;
        a3,     trans1_CB_1_CustomRtdPoly1_5;
        a4,     trans1_CB_1_CustomRtdPoly1_6;
    }
}

COLLECTION OF VARIABLE trans1_CB_1_CUSTOM_RTD_POLY_2
{
    LABEL           "Polynomial Part 2";
    MEMBERS
    {
        Ohm,    trans1_CB_1_CustomRtdPoly2_1;
        a0,     trans1_CB_1_CustomRtdPoly2_2;
        a1,     trans1_CB_1_CustomRtdPoly2_3;
        a2,     trans1_CB_1_CustomRtdPoly2_4;
        a3,     trans1_CB_1_CustomRtdPoly2_5;
        a4,     trans1_CB_1_CustomRtdPoly2_6;
    }
}

COLLECTION OF VARIABLE trans1_CB_1_CUSTOM_RTD_POLY_3
{
    LABEL           "Polynomial Part 3";
    MEMBERS
    {
        Ohm,    trans1_CB_1_CustomRtdPoly3_1;
        a0,     trans1_CB_1_CustomRtdPoly3_2;
        a1,     trans1_CB_1_CustomRtdPoly3_3;
        a2,     trans1_CB_1_CustomRtdPoly3_4;
        a3,     trans1_CB_1_CustomRtdPoly3_5;
        a4,     trans1_CB_1_CustomRtdPoly3_6;
    }
}

COLLECTION OF VARIABLE trans1_CB_1_CUSTOM_RTD_POLY_4
{
    LABEL           "Polynomial Part 4";
    MEMBERS
    {
        Ohm,    trans1_CB_1_CustomRtdPoly4_1;
        a0,     trans1_CB_1_CustomRtdPoly4_2;
        a1,     trans1_CB_1_CustomRtdPoly4_3;
        a2,     trans1_CB_1_CustomRtdPoly4_4;
        a3,     trans1_CB_1_CustomRtdPoly4_5;
        a4,     trans1_CB_1_CustomRtdPoly4_6;
    }
}

COLLECTION OF VARIABLE trans1_CB_1_CUSTOM_RTD_POLY_5
{
    LABEL           "Polynomial Part 5";
    MEMBERS
    {
        Ohm,    trans1_CB_1_CustomRtdPoly5_1;
        a0,     trans1_CB_1_CustomRtdPoly5_2;
        a1,     trans1_CB_1_CustomRtdPoly5_3;
        a2,     trans1_CB_1_CustomRtdPoly5_4;
        a3,     trans1_CB_1_CustomRtdPoly5_5;
        a4,     trans1_CB_1_CustomRtdPoly5_6;
    }
}

// 24  FLOAT                   CustomRtdPoly1[6]
VARIABLE trans1_CB_1_CustomRtdPoly1_1             /* index 24 */
{
    LABEL       "Upper x-Value";
    HELP        "Custom RTD Poly 1 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   800;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
    VALIDITY    VALID_TT_1_RTD_POLY(1);
    POST_EDIT_ACTIONS
	{
		mtd_set_CB_1_min_value1
	}
}

VARIABLE trans1_CB_1_CustomRtdPoly1_2             /* index 24 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom RTD Poly 1 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(1);
}

VARIABLE trans1_CB_1_CustomRtdPoly1_3             /* index 24 */
{
    LABEL       "1th Order: b";
    HELP        "Custom RTD Poly 1 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(1);
}

VARIABLE trans1_CB_1_CustomRtdPoly1_4             /* index 24 */
{
    LABEL       "2th Order: c";
    HELP        "Custom RTD Poly 1 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(1);
}

VARIABLE trans1_CB_1_CustomRtdPoly1_5             /* index 24 */
{
    LABEL       "3th Order: d";
    HELP        "Custom RTD Poly 1 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(1);
}

VARIABLE trans1_CB_1_CustomRtdPoly1_6             /* index 24 */
{
    LABEL       "4th Order: e";
    HELP        "Custom RTD Poly 1 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(1);
}

VARIABLE trans1_CB_1_CustomRtdPoly2_1             /* index 25 */
{
    LABEL       "Upper x-Value";
    HELP        "Custom RTD Poly 2 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1600;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
    VALIDITY    VALID_TT_1_RTD_POLY(2);
    POST_EDIT_ACTIONS
	{
		mtd_set_CB_1_min_value2
	}
}

VARIABLE trans1_CB_1_CustomRtdPoly2_2             /* index 25 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom RTD Poly 2 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(2);
}

VARIABLE trans1_CB_1_CustomRtdPoly2_3             /* index 25 */
{
    LABEL       "1th Order: b";
    HELP        "Custom RTD Poly 2 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(2);
}

VARIABLE trans1_CB_1_CustomRtdPoly2_4             /* index 25 */
{
    LABEL       "2th Order: c";
    HELP        "Custom RTD Poly 2 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(2);
}

VARIABLE trans1_CB_1_CustomRtdPoly2_5             /* index 25 */
{
    LABEL       "3th Order: d";
    HELP        "Custom RTD Poly 2 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(2);
}

VARIABLE trans1_CB_1_CustomRtdPoly2_6             /* index 25 */
{
    LABEL       "4th Order: e";
    HELP        "Custom RTD Poly 2 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(2);
}

VARIABLE trans1_CB_1_CustomRtdPoly3_1             /* index 26 */
{
    LABEL       "Upper x-Value";
    HELP        "Custom RTD Poly 3 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   2400;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
    VALIDITY    VALID_TT_1_RTD_POLY(3);
    POST_EDIT_ACTIONS
	{
		mtd_set_CB_1_min_value3
	}
}

VARIABLE trans1_CB_1_CustomRtdPoly3_2             /* index 26 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom RTD Poly 3 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(3);
}

VARIABLE trans1_CB_1_CustomRtdPoly3_3             /* index 26 */
{
    LABEL       "1th Order: b";
    HELP        "Custom RTD Poly 3 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(3);
}

VARIABLE trans1_CB_1_CustomRtdPoly3_4             /* index 26 */
{
    LABEL       "2th Order: c";
    HELP        "Custom RTD Poly 3 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(3);
}

VARIABLE trans1_CB_1_CustomRtdPoly3_5             /* index 26 */
{
    LABEL       "3th Order: d";
    HELP        "Custom RTD Poly 3 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(3);
}

VARIABLE trans1_CB_1_CustomRtdPoly3_6             /* index 26 */
{
    LABEL       "4th Order: e";
    HELP        "Custom RTD Poly 3 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(3);
}

VARIABLE trans1_CB_1_CustomRtdPoly4_1             /* index 27 */
{
    LABEL       "Upper x-Value";
    HELP        "Custom RTD Poly 4 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   3200;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
    VALIDITY    VALID_TT_1_RTD_POLY(4);
    POST_EDIT_ACTIONS
	{
		mtd_set_CB_1_min_value4
	}
}

VARIABLE trans1_CB_1_CustomRtdPoly4_2             /* index 27 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom RTD Poly 4 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(4);
}

VARIABLE trans1_CB_1_CustomRtdPoly4_3             /* index 27 */
{
    LABEL       "1th Order: b";
    HELP        "Custom RTD Poly 4 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(4);
}

VARIABLE trans1_CB_1_CustomRtdPoly4_4             /* index 27 */
{
    LABEL       "2th Order: c";
    HELP        "Custom RTD Poly 4 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(4);
}

VARIABLE trans1_CB_1_CustomRtdPoly4_5             /* index 27 */
{
    LABEL       "3th Order: d";
    HELP        "Custom RTD Poly 4 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(4);
}

VARIABLE trans1_CB_1_CustomRtdPoly4_6             /* index 27 */
{
    LABEL       "4th Order: e";
    HELP        "Custom RTD Poly 4 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(4);
}

VARIABLE trans1_CB_1_CustomRtdPoly5_1             /* index 28 */
{
    LABEL       "Upper x-Value";
    HELP        "Custom RTD Poly 5 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   4000;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
    VALIDITY    VALID_TT_1_RTD_POLY(5);
//    POST_EDIT_ACTIONS
//	{
//		mtd_set_min_value5
//	}
}

VARIABLE trans1_CB_1_CustomRtdPoly5_2             /* index 28 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom RTD Poly 5 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(5);
}

VARIABLE trans1_CB_1_CustomRtdPoly5_3             /* index 28 */
{
    LABEL       "1th Order: b";
    HELP        "Custom RTD Poly 5 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(5);
}

VARIABLE trans1_CB_1_CustomRtdPoly5_4             /* index 28 */
{
    LABEL       "2th Order: c";
    HELP        "Custom RTD Poly 5 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(5);
}

VARIABLE trans1_CB_1_CustomRtdPoly5_5             /* index 28 */
{
    LABEL       "3th Order: d";
    HELP        "Custom RTD Poly 5 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(5);
}

VARIABLE trans1_CB_1_CustomRtdPoly5_6             /* index 28 */
{
    LABEL       "4th Order: e";
    HELP        "Custom RTD Poly 5 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_1_RTD_POLY(5);
}

//    USIGN8      ucEntryIdx;         // *+0 TAB_ENTRY           Simple  Unsigned8   D 1 r,w C/a F 0 O (B)
VARIABLE trans1_CB_1_Tab_Entry             /* index 29 */
{
    LABEL       "TAB Entry";
    HELP        "TAB Entry";
    CLASS       DEVICE & DYNAMIC;
    HANDLING    READ & WRITE;
    TYPE        UNSIGNED_INTEGER (1);
}

//    TAB_X_Y     sEntryVal;          // *+1 TAB_X_Y_VALUE       Array   Float       D 8 r,w C/a F - O (B)
VARIABLE trans1_CB_1_Tab_EntryVal_X             /* index 30 */
{
    LABEL       "X";
    HELP        "TAB_X_Y_VALUE";
    CLASS       DEVICE & DYNAMIC;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DISPLAY_FORMAT ".2f";
    }
}

VARIABLE trans1_CB_1_Tab_EntryVal_Y             /* index 30 */
{
    LABEL       "Y";
    HELP        "TAB_X_Y_VALUE";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DISPLAY_FORMAT ".2f";
    }
}

//    USIGN8      ucMinNumber;        // *+2 TAB_MIN_NUMBER      Simple  Unsigned8   N 1 r   C/a F - O (B)
VARIABLE trans1_CB_1_Tab_MinNumber             /* index 31 */
{
    LABEL       "Min Number";
    HELP        "TAB_MIN_NUMBER";
    CLASS       DEVICE;
    HANDLING    READ;
    TYPE        UNSIGNED_INTEGER (1);
}

//    USIGN8      ucMaxNumber;        // *+3 TAB_MAX_NUMBER      Simple  Unsigned8   N 1 r   C/a F - O (B)
VARIABLE trans1_CB_1_Tab_MaxNumber             /* index 32 */
{
    LABEL       "Max Number";
    HELP        "TAB_MAX_NUMBER";
    CLASS       DEVICE;
    HANDLING    READ;
    TYPE        UNSIGNED_INTEGER (1);
}

//    USIGN8      ucOpCode;           // *+4 TAB_OP_CODE         Simple  Unsigned8   D 1 r,w C/a F - O (B)
VARIABLE trans1_CB_1_Tab_OpCode             /* index 33 */
{
    LABEL       "OP code";
    HELP        "TAB_OP_CODE";
    CLASS       DEVICE & DYNAMIC;
    HANDLING    READ & WRITE;
    TYPE        UNSIGNED_INTEGER (1);
}

//    USIGN8      ucStatus;           // *+5 TAB_STATUS          Simple  Unsigned8   D 1 r   C/a F 0 O (B)
VARIABLE trans1_CB_1_Tab_Status             /* index 34 */
{
    LABEL       "Status";
    HELP        "TAB_STATUS";
    CLASS       DEVICE & DYNAMIC;
    HANDLING    READ;
    TYPE        UNSIGNED_INTEGER (1);
}

//    USIGN8      ucActualNumber;     // *+6 TAB_ACTUAL_NUMBER   Simple  Unsigned8   N 1 r   C/a F - O (B)
VARIABLE trans1_CB_1_Tab_Actual_Number             /* index 35 */
{
    LABEL       "Tab actual number";
    HELP        "TAB_ACTUAL_NUMBER";
    CLASS       DEVICE;
    HANDLING    READ;
    TYPE        UNSIGNED_INTEGER (1);
}

VARIABLE CB_1_table_x_1
{
    LABEL        "X1:";
    CLASS          LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 0.0;
    }
}

VARIABLE CB_1_table_x_2
{
    LABEL        "X2:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 5.0;
    }
}

VARIABLE CB_1_table_x_3
{
    LABEL        "X3:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 10.0;
    }
}

VARIABLE CB_1_table_x_4
{
    LABEL        "X4:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 15.0;
    }
}

VARIABLE CB_1_table_x_5
{
    LABEL        "X5:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 20.0;
    }
}

VARIABLE CB_1_table_x_6
{
    LABEL        "X6:";
    CLASS       LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 25.0;
    }
}

VARIABLE CB_1_table_x_7
{
    LABEL        "X7:";
    CLASS       LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 30.0;
    }
}

VARIABLE CB_1_table_x_8
{
    LABEL        "X8:";
    CLASS       LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 40.0;
    }
}

VARIABLE CB_1_table_x_9
{
    LABEL        "X9:";
    CLASS          LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 50.0;
    }
}

VARIABLE CB_1_table_x_10
{
    LABEL        "X10:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 60.0;
    }
}

VARIABLE CB_1_table_x_11
{
    LABEL        "X11:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 70.0;
    }
}

VARIABLE CB_1_table_x_12
{
    LABEL        "X12:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 80.0;
    }
}

VARIABLE CB_1_table_x_13
{
    LABEL        "X13:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 85.0;
    }
}

VARIABLE CB_1_table_x_14
{
    LABEL        "X14:";
    CLASS       LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 90.0;
    }
}

VARIABLE CB_1_table_x_15
{
    LABEL        "X15:";
    CLASS       LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 95.0;
    }
}

VARIABLE CB_1_table_x_16
{
    LABEL        "X16:";
    CLASS       LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 100.0;
    }
}

VARIABLE CB_1_table_y_1
{
    LABEL        "Y1";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 0.0;
    }
}

VARIABLE CB_1_table_y_2
{
    LABEL        "Y2";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 5.0;
    }
}

VARIABLE CB_1_table_y_3
{
    LABEL        "Y3:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 10.0;
    }
}

VARIABLE CB_1_table_y_4
{
    LABEL        "Y4:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 15.0;
    }
}

VARIABLE CB_1_table_y_5
{
    LABEL        "Y5:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 20.0;
    }
}

VARIABLE CB_1_table_y_6
{
    LABEL        "Y6:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 25.0;
    }
}

VARIABLE CB_1_table_y_7
{
    LABEL        "Y7:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 30.0;
    }
}

VARIABLE CB_1_table_y_8
{
    LABEL        "Y8:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 40.0;
    }
}
VARIABLE CB_1_table_y_9
{
    LABEL        "Y9";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 50.0;
    }
}

VARIABLE CB_1_table_y_10
{
    LABEL        "Y10";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 60.0;
    }
}

VARIABLE CB_1_table_y_11
{
    LABEL        "Y11:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 70.0;
    }
}

VARIABLE CB_1_table_y_12
{
    LABEL        "Y12:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 80.0;
    }
}

VARIABLE CB_1_table_y_13
{
    LABEL        "Y13:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 85.0;
    }
}

VARIABLE CB_1_table_y_14
{
    LABEL        "Y14:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 90.0;
    }
}

VARIABLE CB_1_table_y_15
{
    LABEL        "Y15:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 95.0;
    }
}

VARIABLE CB_1_table_y_16
{
    LABEL        "Y16:";
    CLASS       LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 100.0;
    }
}

/***********************************************************************/
/*    Unit relations                                                   */
/***********************************************************************/

/* Transducer Block 2 */
/* no unit relations */

/*---------------------------------------------------------------------*/
/*    Transducer Block 2: (Commands)                                   */
/*---------------------------------------------------------------------*/

COMMAND read_trans1_CB_1_CustomTcName
{
    BLOCK trans1_TT_1;
    INDEX 73;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CustomTcName
        }
    }
}

COMMAND write_trans1_CB_1_CustomTcName
{
    BLOCK trans1_TT_1;
    INDEX 73;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CustomTcName
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomTcPolyCount
{
    BLOCK trans1_TT_1;
    INDEX 74;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CustomTcPolyCount
        }
    }
}

COMMAND write_trans1_CB_1_CustomTcPolyCount
{
    BLOCK trans1_TT_1;
    INDEX 74;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CustomTcPolyCount
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomTcMinIn
{
    BLOCK trans1_TT_1;
    INDEX 75;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CustomTcMinIn
        }
    }
}

COMMAND write_trans1_CB_1_CustomTcMinIn
{
    BLOCK trans1_TT_1;
    INDEX 75;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CustomTcMinIn
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomTcMinOut
{
    BLOCK trans1_TT_1;
    INDEX 76;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CustomTcMinOut
        }
    }
}

COMMAND write_trans1_CB_1_CustomTcMinOut
{
    BLOCK trans1_TT_1;
    INDEX 76;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CustomTcMinOut
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomTcMaxOut
{
    BLOCK trans1_TT_1;
    INDEX 77;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CustomTcMaxOut
        }
    }
}

COMMAND write_trans1_CB_1_CustomTcMaxOut
{
    BLOCK trans1_TT_1;
    INDEX 77;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CustomTcMaxOut
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomTcPoly1
{
    BLOCK trans1_TT_1;
    INDEX 78;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CustomTcPoly1_1,
            trans1_CB_1_CustomTcPoly1_2,
            trans1_CB_1_CustomTcPoly1_3,
            trans1_CB_1_CustomTcPoly1_4,
            trans1_CB_1_CustomTcPoly1_5,
            trans1_CB_1_CustomTcPoly1_6
        }
    }
}

COMMAND write_trans1_CB_1_CustomTcPoly1
{
    BLOCK trans1_TT_1;
    INDEX 78;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CustomTcPoly1_1,
            trans1_CB_1_CustomTcPoly1_2,
            trans1_CB_1_CustomTcPoly1_3,
            trans1_CB_1_CustomTcPoly1_4,
            trans1_CB_1_CustomTcPoly1_5,
            trans1_CB_1_CustomTcPoly1_6
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomTcPoly2
{
    BLOCK trans1_TT_1;
    INDEX 79;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CustomTcPoly2_1,
            trans1_CB_1_CustomTcPoly2_2,
            trans1_CB_1_CustomTcPoly2_3,
            trans1_CB_1_CustomTcPoly2_4,
            trans1_CB_1_CustomTcPoly2_5,
            trans1_CB_1_CustomTcPoly2_6
        }
    }
}

COMMAND write_trans1_CB_1_CustomTcPoly2
{
    BLOCK trans1_TT_1;
    INDEX 79;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CustomTcPoly2_1,
            trans1_CB_1_CustomTcPoly2_2,
            trans1_CB_1_CustomTcPoly2_3,
            trans1_CB_1_CustomTcPoly2_4,
            trans1_CB_1_CustomTcPoly2_5,
            trans1_CB_1_CustomTcPoly2_6
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomTcPoly3
{
    BLOCK trans1_TT_1;
    INDEX 80;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CustomTcPoly3_1,
            trans1_CB_1_CustomTcPoly3_2,
            trans1_CB_1_CustomTcPoly3_3,
            trans1_CB_1_CustomTcPoly3_4,
            trans1_CB_1_CustomTcPoly3_5,
            trans1_CB_1_CustomTcPoly3_6
        }
    }
}

COMMAND write_trans1_CB_1_CustomTcPoly3
{
    BLOCK trans1_TT_1;
    INDEX 80;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CustomTcPoly3_1,
            trans1_CB_1_CustomTcPoly3_2,
            trans1_CB_1_CustomTcPoly3_3,
            trans1_CB_1_CustomTcPoly3_4,
            trans1_CB_1_CustomTcPoly3_5,
            trans1_CB_1_CustomTcPoly3_6
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomTcPoly4
{
    BLOCK trans1_TT_1;
    INDEX 81;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CustomTcPoly4_1,
            trans1_CB_1_CustomTcPoly4_2,
            trans1_CB_1_CustomTcPoly4_3,
            trans1_CB_1_CustomTcPoly4_4,
            trans1_CB_1_CustomTcPoly4_5,
            trans1_CB_1_CustomTcPoly4_6
        }
    }
}

COMMAND write_trans1_CB_1_CustomTcPoly4
{
    BLOCK trans1_TT_1;
    INDEX 81;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CustomTcPoly4_1,
            trans1_CB_1_CustomTcPoly4_2,
            trans1_CB_1_CustomTcPoly4_3,
            trans1_CB_1_CustomTcPoly4_4,
            trans1_CB_1_CustomTcPoly4_5,
            trans1_CB_1_CustomTcPoly4_6
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomTcPoly5
{
    BLOCK trans1_TT_1;
    INDEX 82;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CustomTcPoly5_1,
            trans1_CB_1_CustomTcPoly5_2,
            trans1_CB_1_CustomTcPoly5_3,
            trans1_CB_1_CustomTcPoly5_4,
            trans1_CB_1_CustomTcPoly5_5,
            trans1_CB_1_CustomTcPoly5_6
        }
    }
}

COMMAND write_trans1_CB_1_CustomTcPoly5
{
    BLOCK trans1_TT_1;
    INDEX 82;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CustomTcPoly5_1,
            trans1_CB_1_CustomTcPoly5_2,
            trans1_CB_1_CustomTcPoly5_3,
            trans1_CB_1_CustomTcPoly5_4,
            trans1_CB_1_CustomTcPoly5_5,
            trans1_CB_1_CustomTcPoly5_6
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomTcRjPoly
{
    BLOCK trans1_TT_1;
    INDEX 83;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CUSTOM_TC_RJ_POLY.a0,
            trans1_CB_1_CUSTOM_TC_RJ_POLY.a1,
            trans1_CB_1_CUSTOM_TC_RJ_POLY.a2,
            trans1_CB_1_CUSTOM_TC_RJ_POLY.a3
        }
    }
}

COMMAND write_trans1_CB_1_CustomTcRjPoly
{
    BLOCK trans1_TT_1;
    INDEX 83;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CUSTOM_TC_RJ_POLY.a0,
            trans1_CB_1_CUSTOM_TC_RJ_POLY.a1,
            trans1_CB_1_CUSTOM_TC_RJ_POLY.a2,
            trans1_CB_1_CUSTOM_TC_RJ_POLY.a3
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomRtdName
{
    BLOCK trans1_TT_1;
    INDEX 84;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CustomRtdName
        }
    }
}

COMMAND write_trans1_CB_1_CustomRtdName
{
    BLOCK trans1_TT_1;
    INDEX 84;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CustomRtdName
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomRtdPolyCount
{
    BLOCK trans1_TT_1;
    INDEX 85;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CustomRtdPolyCount
        }
    }
}

COMMAND write_trans1_CB_1_CustomRtdPolyCount
{
    BLOCK trans1_TT_1;
    INDEX 85;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CustomRtdPolyCount
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomRtdMinIn
{
    BLOCK trans1_TT_1;
    INDEX 86;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CustomRtdMinIn
        }
    }
}

COMMAND write_trans1_CB_1_CustomRtdMinIn
{
    BLOCK trans1_TT_1;
    INDEX 86;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CustomRtdMinIn
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomRtdMinOut
{
    BLOCK trans1_TT_1;
    INDEX 87;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CustomRtdMinOut
        }
    }
}

COMMAND write_trans1_CB_1_CustomRtdMinOut
{
    BLOCK trans1_TT_1;
    INDEX 87;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CustomRtdMinOut
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomRtdMaxOut
{
    BLOCK trans1_TT_1;
    INDEX 88;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CustomRtdMaxOut
        }
    }
}

COMMAND write_trans1_CB_1_CustomRtdMaxOut
{
    BLOCK trans1_TT_1;
    INDEX 88;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CustomRtdMaxOut
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomRtdPoly1
{
    BLOCK trans1_TT_1;
    INDEX 89;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CUSTOM_RTD_POLY_1.Ohm,
            trans1_CB_1_CUSTOM_RTD_POLY_1.a0, 
            trans1_CB_1_CUSTOM_RTD_POLY_1.a1, 
            trans1_CB_1_CUSTOM_RTD_POLY_1.a2, 
            trans1_CB_1_CUSTOM_RTD_POLY_1.a3, 
            trans1_CB_1_CUSTOM_RTD_POLY_1.a4
        }
    }
}

COMMAND write_trans1_CB_1_CustomRtdPoly1
{
    BLOCK trans1_TT_1;
    INDEX 89;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CUSTOM_RTD_POLY_1.Ohm,
            trans1_CB_1_CUSTOM_RTD_POLY_1.a0, 
            trans1_CB_1_CUSTOM_RTD_POLY_1.a1, 
            trans1_CB_1_CUSTOM_RTD_POLY_1.a2, 
            trans1_CB_1_CUSTOM_RTD_POLY_1.a3, 
            trans1_CB_1_CUSTOM_RTD_POLY_1.a4  
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomRtdPoly2
{
    BLOCK trans1_TT_1;
    INDEX 90;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CUSTOM_RTD_POLY_2.Ohm,
            trans1_CB_1_CUSTOM_RTD_POLY_2.a0, 
            trans1_CB_1_CUSTOM_RTD_POLY_2.a1, 
            trans1_CB_1_CUSTOM_RTD_POLY_2.a2, 
            trans1_CB_1_CUSTOM_RTD_POLY_2.a3, 
            trans1_CB_1_CUSTOM_RTD_POLY_2.a4  
        }
    }
}

COMMAND write_trans1_CB_1_CustomRtdPoly2
{
    BLOCK trans1_TT_1;
    INDEX 90;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CUSTOM_RTD_POLY_2.Ohm,
            trans1_CB_1_CUSTOM_RTD_POLY_2.a0, 
            trans1_CB_1_CUSTOM_RTD_POLY_2.a1, 
            trans1_CB_1_CUSTOM_RTD_POLY_2.a2, 
            trans1_CB_1_CUSTOM_RTD_POLY_2.a3, 
            trans1_CB_1_CUSTOM_RTD_POLY_2.a4  
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomRtdPoly3
{
    BLOCK trans1_TT_1;
    INDEX 91;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CUSTOM_RTD_POLY_3.Ohm,
            trans1_CB_1_CUSTOM_RTD_POLY_3.a0, 
            trans1_CB_1_CUSTOM_RTD_POLY_3.a1, 
            trans1_CB_1_CUSTOM_RTD_POLY_3.a2, 
            trans1_CB_1_CUSTOM_RTD_POLY_3.a3, 
            trans1_CB_1_CUSTOM_RTD_POLY_3.a4  
        }
    }
}

COMMAND write_trans1_CB_1_CustomRtdPoly3
{
    BLOCK trans1_TT_1;
    INDEX 91;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CUSTOM_RTD_POLY_3.Ohm,
            trans1_CB_1_CUSTOM_RTD_POLY_3.a0, 
            trans1_CB_1_CUSTOM_RTD_POLY_3.a1, 
            trans1_CB_1_CUSTOM_RTD_POLY_3.a2, 
            trans1_CB_1_CUSTOM_RTD_POLY_3.a3, 
            trans1_CB_1_CUSTOM_RTD_POLY_3.a4  
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomRtdPoly4
{
    BLOCK trans1_TT_1;
    INDEX 92;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CUSTOM_RTD_POLY_4.Ohm,
            trans1_CB_1_CUSTOM_RTD_POLY_4.a0, 
            trans1_CB_1_CUSTOM_RTD_POLY_4.a1, 
            trans1_CB_1_CUSTOM_RTD_POLY_4.a2, 
            trans1_CB_1_CUSTOM_RTD_POLY_4.a3, 
            trans1_CB_1_CUSTOM_RTD_POLY_4.a4  
        }
    }
}

COMMAND write_trans1_CB_1_CustomRtdPoly4
{
    BLOCK trans1_TT_1;
    INDEX 92;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CUSTOM_RTD_POLY_4.Ohm,
            trans1_CB_1_CUSTOM_RTD_POLY_4.a0, 
            trans1_CB_1_CUSTOM_RTD_POLY_4.a1, 
            trans1_CB_1_CUSTOM_RTD_POLY_4.a2, 
            trans1_CB_1_CUSTOM_RTD_POLY_4.a3, 
            trans1_CB_1_CUSTOM_RTD_POLY_4.a4  
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_CustomRtdPoly5
{
    BLOCK trans1_TT_1;
    INDEX 93;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_CUSTOM_RTD_POLY_5.Ohm,
            trans1_CB_1_CUSTOM_RTD_POLY_5.a0, 
            trans1_CB_1_CUSTOM_RTD_POLY_5.a1, 
            trans1_CB_1_CUSTOM_RTD_POLY_5.a2, 
            trans1_CB_1_CUSTOM_RTD_POLY_5.a3, 
            trans1_CB_1_CUSTOM_RTD_POLY_5.a4  
        }
    }
}

COMMAND write_trans1_CB_1_CustomRtdPoly5
{
    BLOCK trans1_TT_1;
    INDEX 93;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_CUSTOM_RTD_POLY_5.Ohm,
            trans1_CB_1_CUSTOM_RTD_POLY_5.a0, 
            trans1_CB_1_CUSTOM_RTD_POLY_5.a1, 
            trans1_CB_1_CUSTOM_RTD_POLY_5.a2, 
            trans1_CB_1_CUSTOM_RTD_POLY_5.a3, 
            trans1_CB_1_CUSTOM_RTD_POLY_5.a4  
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_Tab_Entry
{
    BLOCK trans1_TT_1;
    INDEX 45;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_Tab_Entry
        }
    }
}

COMMAND write_trans1_CB_1_Tab_Entry
{
    BLOCK trans1_TT_1;
    INDEX 45;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_Tab_Entry
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_Tab_EntryVal
{
    BLOCK trans1_TT_1;
    INDEX 46;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_Tab_EntryVal_X,
            trans1_CB_1_Tab_EntryVal_Y
        }
    }
}

COMMAND write_trans1_CB_1_Tab_EntryVal
{
    BLOCK trans1_TT_1;
    INDEX 46;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_Tab_EntryVal_X,
            trans1_CB_1_Tab_EntryVal_Y
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_Tab_MinNumber
{
    BLOCK trans1_TT_1;
    INDEX 47;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_Tab_MinNumber
        }
    }
}

COMMAND read_trans1_CB_1_Tab_MaxNumber
{
    BLOCK trans1_TT_1;
    INDEX 48;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_Tab_MaxNumber
        }
    }
}

COMMAND read_trans1_CB_1_Tab_OpCode
{
    BLOCK trans1_TT_1;
    INDEX 49;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_Tab_OpCode
        }
    }
}

COMMAND write_trans1_CB_1_Tab_OpCode
{
    BLOCK trans1_TT_1;
    INDEX 49;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_1_Tab_OpCode
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_1_Tab_Status
{
    BLOCK trans1_TT_1;
    INDEX 50;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_Tab_Status
        }
    }
}

COMMAND read_trans1_CB_1_Tab_Actual_Number
{
    BLOCK trans1_TT_1;
    INDEX 51;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_1_Tab_Actual_Number
        }
    }
}

/*---------------------------------------------------------------------*/
/*    Block: (Menus and Windows)                                 */
/*---------------------------------------------------------------------*/

MENU OnlineWindow_trans1_CB_1_setting
{
    LABEL "Custom Transducer Block";
    ITEMS
    {
        Page_trans1_CB_1_Custom_RTD_Info,
        Page_trans1_CB_1_Custom_RTD,
        Page_trans1_CB_1_Custom_TC_Info,
        Page_trans1_CB_1_Custom_TC
    }
}

MENU Page_trans1_CB_1_Custom_RTD_Info
{
    LABEL       "Custom RTD Info";
    ITEMS
    {
        Group_trans1_CB_1_Custom_RTD_Info,
        Group_trans1_CB_1_CustomRtdMaxInLimit
    }
}

MENU Page_trans1_CB_1_Custom_RTD
{
    LABEL       "Custom RTD Poly";
    ITEMS
    {
//        Group_trans1_CB_1_CustomRtdPoly1,
//        COLUMNBREAK,
//        Group_trans1_CB_1_CustomRtdPoly2,
//        COLUMNBREAK,
//        Group_trans1_CB_1_CustomRtdPoly3,
//        COLUMNBREAK,
//        Group_trans1_CB_1_CustomRtdPoly4,
//        COLUMNBREAK,
//        Group_trans1_CB_1_CustomRtdPoly5,
//        COLUMNBREAK,
//        Group_trans1_CB_1_CustomRtdPoly6

        trans1_CB_1_CustomRtdPoly1_2,
        trans1_CB_1_CustomRtdPoly2_2,
        trans1_CB_1_CustomRtdPoly3_2,
        trans1_CB_1_CustomRtdPoly4_2,
        trans1_CB_1_CustomRtdPoly5_2,
        COLUMNBREAK,
        trans1_CB_1_CustomRtdPoly1_3,
        trans1_CB_1_CustomRtdPoly2_3,
        trans1_CB_1_CustomRtdPoly3_3,
        trans1_CB_1_CustomRtdPoly4_3,
        trans1_CB_1_CustomRtdPoly5_3,
        COLUMNBREAK,
        trans1_CB_1_CustomRtdPoly1_4,
        trans1_CB_1_CustomRtdPoly2_4,
        trans1_CB_1_CustomRtdPoly3_4,
        trans1_CB_1_CustomRtdPoly4_4,
        trans1_CB_1_CustomRtdPoly5_4,
        COLUMNBREAK,
        trans1_CB_1_CustomRtdPoly1_5,
        trans1_CB_1_CustomRtdPoly2_5,
        trans1_CB_1_CustomRtdPoly3_5,
        trans1_CB_1_CustomRtdPoly4_5,
        trans1_CB_1_CustomRtdPoly5_5,
        COLUMNBREAK,
        trans1_CB_1_CustomRtdPoly1_6,
        trans1_CB_1_CustomRtdPoly2_6,
        trans1_CB_1_CustomRtdPoly3_6,
        trans1_CB_1_CustomRtdPoly4_6,
        trans1_CB_1_CustomRtdPoly5_6
    }
}

MENU Group_trans1_CB_1_Custom_RTD_Info
{
    LABEL       "Custom RTD Info";
    ITEMS
    {
        trans1_CB_1_CustomRtdName,
        COLUMNBREAK,
        trans1_CB_1_CustomRtdPolyCount,
        COLUMNBREAK,
        trans1_CB_1_CustomRtdMinIn,
        COLUMNBREAK,
        trans1_CB_1_CustomRtdMinOut,
        COLUMNBREAK,
        trans1_CB_1_CustomRtdMaxOut,
        COLUMNBREAK
    }
}

MENU Group_trans1_CB_1_CustomRtdMaxInLimit
{
    LABEL       "Max Input Limit in Ohm";
    ITEMS
    {
        trans1_CB_1_CustomRtdPoly1_1,
        COLUMNBREAK,
        trans1_CB_1_CustomRtdPoly2_1,
        COLUMNBREAK,
        trans1_CB_1_CustomRtdPoly3_1,
        COLUMNBREAK,
        trans1_CB_1_CustomRtdPoly4_1,
        COLUMNBREAK,
        trans1_CB_1_CustomRtdPoly5_1
    }
}

MENU Page_trans1_CB_1_Custom_TC_Info
{
    LABEL       "Custom TC Info";
    ITEMS
    {
        Group_trans1_CB_1_CustomTcPolyInfo,
        Group_trans1_CB_1_CustomTcMaxInLimit
    }
}

MENU Page_trans1_CB_1_Custom_TC
{
    LABEL       "Custom TC Poly";
    ITEMS
    {
        trans1_CB_1_CustomTcPoly1_2,
        trans1_CB_1_CustomTcPoly2_2,
        trans1_CB_1_CustomTcPoly3_2,
        trans1_CB_1_CustomTcPoly4_2,
        trans1_CB_1_CustomTcPoly5_2,
        trans1_CB_1_CustomTcRjPoly_1,
        COLUMNBREAK,
        trans1_CB_1_CustomTcPoly1_3,
        trans1_CB_1_CustomTcPoly2_3,
        trans1_CB_1_CustomTcPoly3_3,
        trans1_CB_1_CustomTcPoly4_3,
        trans1_CB_1_CustomTcPoly5_3,
        trans1_CB_1_CustomTcRjPoly_2,
        COLUMNBREAK,
        trans1_CB_1_CustomTcPoly1_4,
        trans1_CB_1_CustomTcPoly2_4,
        trans1_CB_1_CustomTcPoly3_4,
        trans1_CB_1_CustomTcPoly4_4,
        trans1_CB_1_CustomTcPoly5_4,
        trans1_CB_1_CustomTcRjPoly_3,
        COLUMNBREAK,
        trans1_CB_1_CustomTcPoly1_5,
        trans1_CB_1_CustomTcPoly2_5,
        trans1_CB_1_CustomTcPoly3_5,
        trans1_CB_1_CustomTcPoly4_5,
        trans1_CB_1_CustomTcPoly5_5,
        trans1_CB_1_CustomTcRjPoly_4,
        COLUMNBREAK,
        trans1_CB_1_CustomTcPoly1_6,
        trans1_CB_1_CustomTcPoly2_6,
        trans1_CB_1_CustomTcPoly3_6,
        trans1_CB_1_CustomTcPoly4_6,
        trans1_CB_1_CustomTcPoly5_6
    }
}

MENU Group_trans1_CB_1_CustomTcPolyInfo
{
    LABEL       "Custom TC Info";
    ITEMS
    {
        trans1_CB_1_CustomTcName,
        COLUMNBREAK,
        trans1_CB_1_CustomTcPolyCount,
        COLUMNBREAK,
        trans1_CB_1_CustomTcMinIn,
        COLUMNBREAK,
        trans1_CB_1_CustomTcMinOut,
        COLUMNBREAK,
        trans1_CB_1_CustomTcMaxOut,
        COLUMNBREAK
    }
}

MENU Group_trans1_CB_1_CustomTcMaxInLimit
{
    LABEL       "Max Input Limit in mV";
    ITEMS
    {
        trans1_CB_1_CustomTcPoly1_1,
        COLUMNBREAK,
        trans1_CB_1_CustomTcPoly2_1,
        COLUMNBREAK,
        trans1_CB_1_CustomTcPoly3_1,
        COLUMNBREAK,
        trans1_CB_1_CustomTcPoly4_1,
        COLUMNBREAK,
        trans1_CB_1_CustomTcPoly5_1
    }
}

MENU OnlineDialog_trans1_CB_1_table
{
    LABEL       "User Calibration Table";
    ITEMS
    {
        Page_trans1_CB_1_table
    }
}

MENU Page_trans1_CB_1_table
{
    LABEL "Table";
    ITEMS
    {
        CB_1_table_x_1,
        CB_1_table_x_2,
        CB_1_table_x_3,
        CB_1_table_x_4,
        CB_1_table_x_5,
        CB_1_table_x_6,
        CB_1_table_x_7,
        CB_1_table_x_8,
        CB_1_table_x_9,
        CB_1_table_x_10,
        CB_1_table_x_11,
        CB_1_table_x_12,
        CB_1_table_x_13,
        CB_1_table_x_14,
        CB_1_table_x_15,
        CB_1_table_x_16,        
/*      CB_1_  number_of_points,   */
        COLUMNBREAK,
        CB_1_table_y_1,
        CB_1_table_y_2,
        CB_1_table_y_3,
        CB_1_table_y_4,
        CB_1_table_y_5,
        CB_1_table_y_6,
        CB_1_table_y_7,
        CB_1_table_y_8,
        CB_1_table_y_9,  
        CB_1_table_y_10, 
        CB_1_table_y_11, 
        CB_1_table_y_12, 
        CB_1_table_y_13, 
        CB_1_table_y_14, 
        CB_1_table_y_15, 
        CB_1_table_y_16, 
        COLUMNBREAK,
        method_read_CB_1_table_1,
        method_send_CB_1_table_1,
        method_reset_CB_1_table_1
    }
}

METHOD method_read_CB_1_table_1
{
    LABEL   "Read table";
    HELP     [meth_read_table_src_help];
    DEFINITION
    {
        int i;
        float x1[16],y1[16];

        for (i=0;i<16;i++)
        {
            iassign(trans1_CB_1_Tab_Entry,i+1);
            WriteCommand(write_trans1_CB_1_Tab_Entry);
            ReadCommand(read_trans1_CB_1_Tab_EntryVal);
            x1[i] = fvar_value(trans1_CB_1_Tab_EntryVal_X);
            y1[i] = fvar_value(trans1_CB_1_Tab_EntryVal_Y);
        }

        fassign(CB_1_table_x_1,x1[0]);
        fassign(CB_1_table_y_1,y1[0]);
        fassign(CB_1_table_x_2,x1[1]);
        fassign(CB_1_table_y_2,y1[1]);
        fassign(CB_1_table_x_3,x1[2]);
        fassign(CB_1_table_y_3,y1[2]);
        fassign(CB_1_table_x_4,x1[3]);
        fassign(CB_1_table_y_4,y1[3]);
        fassign(CB_1_table_x_5,x1[4]);
        fassign(CB_1_table_y_5,y1[4]);
        fassign(CB_1_table_x_6,x1[5]);
        fassign(CB_1_table_y_6,y1[5]);
        fassign(CB_1_table_x_7,x1[6]);
        fassign(CB_1_table_y_7,y1[6]);
        fassign(CB_1_table_x_8,x1[7]);
        fassign(CB_1_table_y_8,y1[7]);
        fassign(CB_1_table_x_9,x1[8]);
        fassign(CB_1_table_y_9,y1[8]);
        fassign(CB_1_table_x_10,x1[9]);
        fassign(CB_1_table_y_10,y1[9]);
        fassign(CB_1_table_x_11,x1[10]);
        fassign(CB_1_table_y_11,y1[10]);
        fassign(CB_1_table_x_12,x1[11]);
        fassign(CB_1_table_y_12,y1[11]);
        fassign(CB_1_table_x_13,x1[12]);
        fassign(CB_1_table_y_13,y1[12]);
        fassign(CB_1_table_x_14,x1[13]);
        fassign(CB_1_table_y_14,y1[13]);
        fassign(CB_1_table_x_15,x1[14]);
        fassign(CB_1_table_y_15,y1[14]);
        fassign(CB_1_table_x_16,x1[15]);
        fassign(CB_1_table_y_16,y1[15]);
    }
}

METHOD method_send_CB_1_table_1
{
    LABEL "Write Table";
    DEFINITION
    {
        int     opcode,num_point,i, rc;
        float   x1[16],y1[16];
        int        status,flag1,flag2;
        char    text[];

        flag1 = 0;
        flag2 = 0;

        while (flag1 == 0)
        {
            rc=GET_LOCAL_VAR_VALUE("Please enter the number of points you would like to validate in your table.", num_point);
            if (rc==0)
            {
                if(num_point < 2 || num_point > 16)
                {
                    ACKNOWLEDGE("Number of points is out of the range ( 2 - 16)");
                }
                else
                {
                    flag1 = 1;
                }
            }
            else
            {
                flag1 = 1;
                flag2 = 1;
                ACKNOWLEDGE("The table will not be written");
            }
        }

        if (flag2==0)
        {
            x1[0] = fvar_value(CB_1_table_x_1);
            y1[0] = fvar_value(CB_1_table_y_1);
            x1[1] = fvar_value(CB_1_table_x_2);
            y1[1] = fvar_value(CB_1_table_y_2);
            x1[2] = fvar_value(CB_1_table_x_3);
            y1[2] = fvar_value(CB_1_table_y_3);
            x1[3] = fvar_value(CB_1_table_x_4);
            y1[3] = fvar_value(CB_1_table_y_4);
            x1[4] = fvar_value(CB_1_table_x_5);
            y1[4] = fvar_value(CB_1_table_y_5);
            x1[5] = fvar_value(CB_1_table_x_6);
            y1[5] = fvar_value(CB_1_table_y_6);
            x1[6] = fvar_value(CB_1_table_x_7);
            y1[6] = fvar_value(CB_1_table_y_7);
            x1[7] = fvar_value(CB_1_table_x_8);
            y1[7] = fvar_value(CB_1_table_y_8);
            x1[8] = fvar_value(CB_1_table_x_9);
            y1[8] = fvar_value(CB_1_table_y_9);
            x1[9] = fvar_value(CB_1_table_x_10);
            y1[9] = fvar_value(CB_1_table_y_10);
            x1[10] = fvar_value(CB_1_table_x_11);
            y1[10] = fvar_value(CB_1_table_y_11);
            x1[11] = fvar_value(CB_1_table_x_12);
            y1[11] = fvar_value(CB_1_table_y_12);
            x1[12] = fvar_value(CB_1_table_x_13);
            y1[12] = fvar_value(CB_1_table_y_13);
            x1[13] = fvar_value(CB_1_table_x_14);
            y1[13] = fvar_value(CB_1_table_y_14);
            x1[14] = fvar_value(CB_1_table_x_15);
            y1[14] = fvar_value(CB_1_table_y_15);
            x1[15] = fvar_value(CB_1_table_x_16);
            y1[15] = fvar_value(CB_1_table_y_16);

            opcode = 1;

            /*        num_point = ivar_value(number_of_points); */

            iassign(trans1_CB_1_Tab_OpCode, opcode);
            WriteCommand(write_trans1_CB_1_Tab_OpCode);
            for (i=1;i<=num_point;i++)
            {
                iassign(trans1_CB_1_Tab_Entry,i);
                WriteCommand(write_trans1_CB_1_Tab_Entry);

                fassign(trans1_CB_1_Tab_EntryVal_X,x1[i-1]);
                fassign(trans1_CB_1_Tab_EntryVal_Y,y1[i-1]);
                WriteCommand(write_trans1_CB_1_Tab_EntryVal);
            }
            opcode = 3;
            iassign(trans1_CB_1_Tab_OpCode, opcode);
            WriteCommand(write_trans1_CB_1_Tab_OpCode);

            ReadCommand(read_trans1_CB_1_Tab_Status);
            status = ivar_value(trans1_CB_1_Tab_Status);

            switch (status)
            {
                case 0:
                {
                    PUT_MESSAGE ("Not initialized");
                    break;
                }
                case 2:
                case 20:
                {
                    PUT_MESSAGE ("Characterization: Not monotonous increasing");
                    break;
                }
                case 3:
                case 21:
                {
                    PUT_MESSAGE ("Characterization: Not monotonous decreasing");
                    break;
                }
                case 4:
                case 22:
                {
                    PUT_MESSAGE ("Not enough values transmitted");
                    break;
                }
                case 5:
                case 23:
                {
                    PUT_MESSAGE ("Too many values transmitted");
                    break;
                }
                case 6:
                case 24:
                {
                    PUT_MESSAGE ("Gradient of edge too high");
                    break;
                }
                case 7:
                case 25:
                {
                    PUT_MESSAGE ("Table not accepted.");
                    break;
                }
                case 8:
                case 26:
                {
                    PUT_MESSAGE ("Table is currently loaded");
                    break;
                }
                case 9:
                case 27:
                {
                    PUT_MESSAGE ("softing and checking of Table");
                    break;
                }
                case 1:        // table status: good
                {
                    PUT_MESSAGE ("Good");
                    break;
                }
                default:
                {
                    PUT_MESSAGE (status);
                    break;
                }
            }
        }
    }
}

METHOD method_reset_CB_1_table_1
{
    LABEL "Reset Table";
    DEFINITION
    {
        int iValue;
        int i;
        float x1[16],y1[16];

        phys_factory_reset = 32772;
        WriteCommand(write_phys_factory_reset); 

        iValue = 1;
        while(iValue == 1)
        {
            ReadCommand (read_phys_factory_reset);
            iValue = ivar_value(phys_factory_reset);
        }
        if (iValue == 0)
		{
	        for (i=0;i<16;i++)
	        {
	            iassign(trans1_CB_1_Tab_Entry,i+1);
	            WriteCommand(write_trans1_CB_1_Tab_Entry);
	            ReadCommand(read_trans1_CB_1_Tab_EntryVal);
	            x1[i] = fvar_value(trans1_CB_1_Tab_EntryVal_X);
	            y1[i] = fvar_value(trans1_CB_1_Tab_EntryVal_Y);
	        }

	        fassign(CB_1_table_x_1,x1[0]);
	        fassign(CB_1_table_y_1,y1[0]);
	        fassign(CB_1_table_x_2,x1[1]);
	        fassign(CB_1_table_y_2,y1[1]);
	        fassign(CB_1_table_x_3,x1[2]);
	        fassign(CB_1_table_y_3,y1[2]);
	        fassign(CB_1_table_x_4,x1[3]);
	        fassign(CB_1_table_y_4,y1[3]);
	        fassign(CB_1_table_x_5,x1[4]);
	        fassign(CB_1_table_y_5,y1[4]);
	        fassign(CB_1_table_x_6,x1[5]);
	        fassign(CB_1_table_y_6,y1[5]);
	        fassign(CB_1_table_x_7,x1[6]);
	        fassign(CB_1_table_y_7,y1[6]);
	        fassign(CB_1_table_x_8,x1[7]);
	        fassign(CB_1_table_y_8,y1[7]);
	        fassign(CB_1_table_x_9,x1[8]);
	        fassign(CB_1_table_y_9,y1[8]);
	        fassign(CB_1_table_x_10,x1[9]);
	        fassign(CB_1_table_y_10,y1[9]);
	        fassign(CB_1_table_x_11,x1[10]);
	        fassign(CB_1_table_y_11,y1[10]);
	        fassign(CB_1_table_x_12,x1[11]);
	        fassign(CB_1_table_y_12,y1[11]);
	        fassign(CB_1_table_x_13,x1[12]);
	        fassign(CB_1_table_y_13,y1[12]);
	        fassign(CB_1_table_x_14,x1[13]);
	        fassign(CB_1_table_y_14,y1[13]);
	        fassign(CB_1_table_x_15,x1[14]);
	        fassign(CB_1_table_y_15,y1[14]);
	        fassign(CB_1_table_x_16,x1[15]);
	        fassign(CB_1_table_y_16,y1[15]);
			
			PUT_MESSAGE("Finished.");
		}




    }
}
METHOD mtd_set_CB_1_min_value1
{
    LABEL    "";
    DEFINITION
    {
		MinIn_CB_1_CustomTc_Poly_2  = trans1_CB_1_CustomTcPoly1_1;	        
		MinIn_CB_1_CustomRtd_Poly_2 = trans1_CB_1_CustomRtdPoly1_1;	        
    }
}
METHOD mtd_set_CB_1_min_value2
{
    LABEL    "";
    DEFINITION
    {
		MinIn_CB_1_CustomTc_Poly_3 = trans1_CB_1_CustomTcPoly2_1;	   
		MinIn_CB_1_CustomRtd_Poly_3 = trans1_CB_1_CustomRtdPoly2_1;	             
    }
}
METHOD mtd_set_CB_1_min_value3
{
    LABEL    "";
    DEFINITION
    {
		MinIn_CB_1_CustomTc_Poly_4 = trans1_CB_1_CustomTcPoly3_1;
		MinIn_CB_1_CustomRtd_Poly_4 = trans1_CB_1_CustomRtdPoly3_1;
    }
}
METHOD mtd_set_CB_1_min_value4
{
    LABEL    "";
    DEFINITION
    {
		MinIn_CB_1_CustomTc_Poly_5 = trans1_CB_1_CustomTcPoly4_1;
		MinIn_CB_1_CustomRtd_Poly_5 = trans1_CB_1_CustomRtdPoly4_1;
    }
}
//METHOD mtd_set_min_value5
//{
//    LABEL    "";
//    DEFINITION
//    {
//		MinIn_CB_1_CustomTc_Poly_5 = trans1_CB_1_CustomTcPoly5_1;
//		MinIn_CB_1_CustomRtd_Poly_5 = trans1_CB_1_CustomRtdPoly5_1;
//    }
//}
/*---------------------------------------------------------------------*/
/*    Block: (Table - Specialist)                             */
/*---------------------------------------------------------------------*/

/*---------------------------------------------------------------------*/
/*    Block: (Table - Maintenance)                            */
/*---------------------------------------------------------------------*/

VARIABLE trans1_CB_2_CustomTcName             /* index 8 */
{
    LABEL       "Name";
    HELP        "Custom TC Name";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        ASCII (20)
    {
        DEFAULT_VALUE   "Linear TC";
    }
}

VARIABLE trans1_CB_2_CustomTcPolyCount             /* index 9 */
{
    LABEL       "Number of Polynomials";
    HELP        "Custum TC Poly Count";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    1;
        { 1,    "1"        },
        { 2,    "2"        },
        { 3,    "3"        },
        { 4,    "4"        },
        { 5,    "5"        }
    }
}

VARIABLE trans1_CB_2_CustomTcMinIn             /* index 10 */
{
    LABEL       "Lower x-Value";
    HELP        "Custom TC Min In";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   -100;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
}

VARIABLE MinIn_CB_2_CustomTc_Poly_2
{
    LABEL       "Lower x-Value";
    HELP        "Custom TC Min In";
    CLASS       LOCAL;
    HANDLING    READ;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   -60;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
    VALIDITY        VALID_TT_2_TC_POLY(2)
}

VARIABLE MinIn_CB_2_CustomTc_Poly_3
{
    LABEL       "Lower x-Value";
    HELP        "Custom TC Min In";
    CLASS       LOCAL;
    HANDLING    READ;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   -20;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
    VALIDITY        VALID_TT_2_TC_POLY(3)
}

VARIABLE MinIn_CB_2_CustomTc_Poly_4
{
    LABEL       "Lower x-Value";
    HELP        "Custom TC Min In";
    CLASS       LOCAL;
    HANDLING    READ;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   20;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
    VALIDITY        VALID_TT_2_TC_POLY(4)
}

VARIABLE MinIn_CB_2_CustomTc_Poly_5
{
    LABEL       "Lower x-Value";
    HELP        "Custom TC Min In";
    CLASS       LOCAL;
    HANDLING    READ;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   60;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
    VALIDITY        VALID_TT_2_TC_POLY(5)
}

VARIABLE trans1_CB_2_CustomTcMinOut             /* index 11 */
{
    LABEL       "Lower y-Value";
    HELP        "Custom TC Min Out";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
        MIN_VALUE       -1000;
        MAX_VALUE       1000;
    }
    CONSTANT_UNIT   [unit_1001];
}

VARIABLE trans1_CB_2_CustomTcMaxOut             /* index 12 */
{
    LABEL       "Upper y-Value";
    HELP        "Custom TC Max Out";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1500;
        MIN_VALUE       -1000;
        MAX_VALUE       1500;
    }
    CONSTANT_UNIT   [unit_1001];
}

COLLECTION OF VARIABLE trans1_CB_2_CUSTOM_TC_POLY_1
{
    LABEL           "Polynomial Part 1";
    MEMBERS
    {
        Ohm,    trans1_CB_2_CustomTcPoly1_1;
        a0,     trans1_CB_2_CustomTcPoly1_2;
        a1,     trans1_CB_2_CustomTcPoly1_3;
        a2,     trans1_CB_2_CustomTcPoly1_4;
        a3,     trans1_CB_2_CustomTcPoly1_5;
        a4,     trans1_CB_2_CustomTcPoly1_6;
    }
}

COLLECTION OF VARIABLE trans1_CB_2_CUSTOM_TC_POLY_2
{
    LABEL           "Polynomial Part 2";
    MEMBERS
    {
        Ohm,    trans1_CB_2_CustomTcPoly2_1;
        a0,     trans1_CB_2_CustomTcPoly2_2;
        a1,     trans1_CB_2_CustomTcPoly2_3;
        a2,     trans1_CB_2_CustomTcPoly2_4;
        a3,     trans1_CB_2_CustomTcPoly2_5;
        a4,     trans1_CB_2_CustomTcPoly2_6;
    }
}

COLLECTION OF VARIABLE trans1_CB_2_CUSTOM_TC_POLY_3
{
    LABEL           "Polynomial Part 3";
    MEMBERS
    {
        Ohm,    trans1_CB_2_CustomTcPoly3_1;
        a0,     trans1_CB_2_CustomTcPoly3_2;
        a1,     trans1_CB_2_CustomTcPoly3_3;
        a2,     trans1_CB_2_CustomTcPoly3_4;
        a3,     trans1_CB_2_CustomTcPoly3_5;
        a4,     trans1_CB_2_CustomTcPoly3_6;
    }
}

COLLECTION OF VARIABLE trans1_CB_2_CUSTOM_TC_POLY_4
{
    LABEL           "Polynomial Part 4";
    MEMBERS
    {
        Ohm,    trans1_CB_2_CustomTcPoly4_1;
        a0,     trans1_CB_2_CustomTcPoly4_2;
        a1,     trans1_CB_2_CustomTcPoly4_3;
        a2,     trans1_CB_2_CustomTcPoly4_4;
        a3,     trans1_CB_2_CustomTcPoly4_5;
        a4,     trans1_CB_2_CustomTcPoly4_6;
    }
}

COLLECTION OF VARIABLE trans1_CB_2_CUSTOM_TC_POLY_5
{
    LABEL           "Polynomial Part 5";
    MEMBERS
    {
        Ohm,    trans1_CB_2_CustomTcPoly5_1;
        a0,     trans1_CB_2_CustomTcPoly5_2;
        a1,     trans1_CB_2_CustomTcPoly5_3;
        a2,     trans1_CB_2_CustomTcPoly5_4;
        a3,     trans1_CB_2_CustomTcPoly5_5;
        a4,     trans1_CB_2_CustomTcPoly5_6;
    }
}

VARIABLE trans1_CB_2_CustomTcPoly1_1             /* index 13 */
{
    LABEL       "Upper x-Value";
    HELP        "Custom TC Poly 1 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   -60;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
    VALIDITY    VALID_TT_2_TC_POLY(1);
    POST_EDIT_ACTIONS
	{
		mtd_set_CB_2_min_value1
	}
}

VARIABLE trans1_CB_2_CustomTcPoly1_2             /* index 13 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom TC Poly 1 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(1);
}

VARIABLE trans1_CB_2_CustomTcPoly1_3             /* index 13 */
{
    LABEL       "1th Order: b";
    HELP        "Custom TC Poly 1 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_2_TC_POLY(1);
}

VARIABLE trans1_CB_2_CustomTcPoly1_4             /* index 13 */
{
    LABEL       "2th Order: c";
    HELP        "Custom TC Poly 1 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(1);
}

VARIABLE trans1_CB_2_CustomTcPoly1_5             /* index 13 */
{
    LABEL       "3th Order: d";
    HELP        "Custom TC Poly 1 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(1);
}

VARIABLE trans1_CB_2_CustomTcPoly1_6             /* index 13 */
{
    LABEL       "4th Order: e";
    HELP        "Custom TC Poly 1 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(1);
}

VARIABLE trans1_CB_2_CustomTcPoly2_1             /* index 14 */
{
    LABEL       "Upper x-Value";
    HELP        "Custom TC Poly 2 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   -20;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
    VALIDITY    VALID_TT_2_TC_POLY(2);
    POST_EDIT_ACTIONS
	{
		mtd_set_CB_2_min_value2
	}
}

VARIABLE trans1_CB_2_CustomTcPoly2_2             /* index 14 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom TC Poly 2 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(2);
}

VARIABLE trans1_CB_2_CustomTcPoly2_3             /* index 14 */
{
    LABEL       "1th Order: b";
    HELP        "Custom TC Poly 2 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_2_TC_POLY(2);
}

VARIABLE trans1_CB_2_CustomTcPoly2_4             /* index 14 */
{
    LABEL       "2th Order: c";
    HELP        "Custom TC Poly 2 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(2);
}

VARIABLE trans1_CB_2_CustomTcPoly2_5             /* index 14 */
{
    LABEL       "3th Order: d";
    HELP        "Custom TC Poly 2 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(2);
}

VARIABLE trans1_CB_2_CustomTcPoly2_6             /* index 14 */
{
    LABEL       "4th Order: e";
    HELP        "Custom TC Poly 2 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(2);
}

VARIABLE trans1_CB_2_CustomTcPoly3_1             /* index 15 */
{
    LABEL       "Upper x-Value";
    HELP        "Custom TC Poly 3 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   20;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
    VALIDITY    VALID_TT_2_TC_POLY(3);
    POST_EDIT_ACTIONS
	{
		mtd_set_CB_2_min_value3
	}
}

VARIABLE trans1_CB_2_CustomTcPoly3_2             /* index 15 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom TC Poly 3 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(3);
}

VARIABLE trans1_CB_2_CustomTcPoly3_3             /* index 15 */
{
    LABEL       "1th Order: b";
    HELP        "Custom TC Poly 3 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_2_TC_POLY(3);
}

VARIABLE trans1_CB_2_CustomTcPoly3_4             /* index 15 */
{
    LABEL       "2th Order: c";
    HELP        "Custom TC Poly 3 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(3);
}

VARIABLE trans1_CB_2_CustomTcPoly3_5             /* index 15 */
{
    LABEL       "3th Order: d";
    HELP        "Custom TC Poly 3 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(3);
}

VARIABLE trans1_CB_2_CustomTcPoly3_6             /* index 15 */
{
    LABEL       "4th Order: e";
    HELP        "Custom TC Poly 3 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(3);
}

VARIABLE trans1_CB_2_CustomTcPoly4_1             /* index 16 */
{
    LABEL       "Upper x-Value";
    HELP        "Custom TC Poly 4 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   60;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
    VALIDITY    VALID_TT_2_TC_POLY(4);
    POST_EDIT_ACTIONS
	{
		mtd_set_CB_2_min_value4
	}
}

VARIABLE trans1_CB_2_CustomTcPoly4_2             /* index 16 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom TC Poly 4 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(4);
}

VARIABLE trans1_CB_2_CustomTcPoly4_3             /* index 16 */
{
    LABEL       "1th Order: b";
    HELP        "Custom TC Poly 4 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_2_TC_POLY(4);
}

VARIABLE trans1_CB_2_CustomTcPoly4_4             /* index 16 */
{
    LABEL       "2th Order: c";
    HELP        "Custom TC Poly 4 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(4);
}

VARIABLE trans1_CB_2_CustomTcPoly4_5             /* index 16 */
{
    LABEL       "3th Order: d";
    HELP        "Custom TC Poly 4 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(4);
}

VARIABLE trans1_CB_2_CustomTcPoly4_6             /* index 16 */
{
    LABEL       "4th Order: e";
    HELP        "Custom TC Poly 4 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(4);
}

VARIABLE trans1_CB_2_CustomTcPoly5_1             /* index 17 */
{
    LABEL       "Poly 5";
    HELP        "Custom TC Poly 5 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   100;
        MIN_VALUE       -100;
        MAX_VALUE       100;
    }
    CONSTANT_UNIT   [unit_1243];
    VALIDITY    VALID_TT_2_TC_POLY(5);
//    POST_EDIT_ACTIONS
//	{
//		mtd_set_min_value5
//	}
}

VARIABLE trans1_CB_2_CustomTcPoly5_2             /* index 17 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom TC Poly 5 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(5);
}

VARIABLE trans1_CB_2_CustomTcPoly5_3             /* index 17 */
{
    LABEL       "1th Order: b";
    HELP        "Custom TC Poly 5 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_2_TC_POLY(5);
}

VARIABLE trans1_CB_2_CustomTcPoly5_4             /* index 17 */
{
    LABEL       "2th Order: c";
    HELP        "Custom TC Poly 5 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(5);
}

VARIABLE trans1_CB_2_CustomTcPoly5_5             /* index 17 */
{
    LABEL       "3th Order: d";
    HELP        "Custom TC Poly 5 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(5);
}

VARIABLE trans1_CB_2_CustomTcPoly5_6             /* index 17 */
{
    LABEL       "4th Order: e";
    HELP        "Custom TC Poly 5 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(5);
}

COLLECTION OF VARIABLE trans1_CB_2_CUSTOM_TC_RJ_POLY
{
    LABEL           "Polynomial Part RJ";
    MEMBERS
    {
        a0,     trans1_CB_2_CustomTcRjPoly_1;
        a1,     trans1_CB_2_CustomTcRjPoly_2;
        a2,     trans1_CB_2_CustomTcRjPoly_3;
        a3,     trans1_CB_2_CustomTcRjPoly_4;
    }
}

VARIABLE trans1_CB_2_CustomTcRjPoly_1             /* index 18 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom TC RJ Poly - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(1);
}

VARIABLE trans1_CB_2_CustomTcRjPoly_2             /* index 18 */
{
    LABEL       "1th Order: b";
    HELP        "Custom TC RJ Poly - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_2_TC_POLY(1);
}

VARIABLE trans1_CB_2_CustomTcRjPoly_3             /* index 18 */
{
    LABEL       "2th Order: c";
    HELP        "Custom TC RJ Poly - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(1);
}

VARIABLE trans1_CB_2_CustomTcRjPoly_4             /* index 18 */
{
    LABEL       "3th Order: d";
    HELP        "Custom TC RJ Poly - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_TC_POLY(1);
}

VARIABLE trans1_CB_2_CustomRtdName             /* index 19 */
{
    LABEL       "Name";
    HELP        "Custom RTD Name";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        ASCII (20)
    {
        DEFAULT_VALUE   "Linear RTD";
    }
}

VARIABLE trans1_CB_2_CustomRtdPolyCount             /* index 20 */
{
    LABEL       "Number of Polynomails";
    HELP        "Custum RTD Poly Count";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE    1;
        { 1,    "1"        },
        { 2,    "2"        },
        { 3,    "3"        },
        { 4,    "4"        },
        { 5,    "5"        }
    }
}

VARIABLE trans1_CB_2_CustomRtdMinIn             /* index 21 */
{
    LABEL       "Lower x-Value";
    HELP        "Custom RTD Min In";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
}

VARIABLE MinIn_CB_2_CustomRtd_Poly_2
{
    LABEL       "Lower x-Value";
    HELP        "Custom RTD Min In";
    CLASS       LOCAL;
    HANDLING    READ;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   800;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
    VALIDITY        VALID_TT_2_RTD_POLY(2)
}

VARIABLE MinIn_CB_2_CustomRtd_Poly_3
{
    LABEL       "Lower x-Value";
    HELP        "Custom RTD Min In";
    CLASS       LOCAL;
    HANDLING    READ;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1600;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
    VALIDITY        VALID_TT_2_RTD_POLY(3)
}

VARIABLE MinIn_CB_2_CustomRtd_Poly_4
{
    LABEL       "Lower x-Value";
    HELP        "Custom RTD Min In";
    CLASS       LOCAL;
    HANDLING    READ;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   2400;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
    VALIDITY        VALID_TT_2_RTD_POLY(4)
}

VARIABLE MinIn_CB_2_CustomRtd_Poly_5
{
    LABEL       "Lower x-Value";
    HELP        "Custom RTD Min In";
    CLASS       LOCAL;
    HANDLING    READ;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   3200;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
    VALIDITY        VALID_TT_2_RTD_POLY(5)
}

VARIABLE trans1_CB_2_CustomRtdMinOut             /* index 22 */
{
    LABEL       "Lower y-Value";
    HELP        "Custom RTD Min Out";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
        MIN_VALUE       -1000;
        MAX_VALUE       1000;
    }
    CONSTANT_UNIT   [unit_1001];
}

// 23  FLOAT                   CustomRtdMaxOut
VARIABLE trans1_CB_2_CustomRtdMaxOut             /* index 23 */
{
    LABEL       "Upper y-Value";
    HELP        "Custom RTD Max Out";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1000;
        MIN_VALUE       -1000;
        MAX_VALUE       1000;
    }
    CONSTANT_UNIT   [unit_1001];
}

COLLECTION OF VARIABLE trans1_CB_2_CUSTOM_RTD_POLY_1
{
    LABEL           "Polynomial Part 1";
    MEMBERS
    {
        Ohm,    trans1_CB_2_CustomRtdPoly1_1;
        a0,     trans1_CB_2_CustomRtdPoly1_2;
        a1,     trans1_CB_2_CustomRtdPoly1_3;
        a2,     trans1_CB_2_CustomRtdPoly1_4;
        a3,     trans1_CB_2_CustomRtdPoly1_5;
        a4,     trans1_CB_2_CustomRtdPoly1_6;
    }
}

COLLECTION OF VARIABLE trans1_CB_2_CUSTOM_RTD_POLY_2
{
    LABEL           "Polynomial Part 2";
    MEMBERS
    {
        Ohm,    trans1_CB_2_CustomRtdPoly2_1;
        a0,     trans1_CB_2_CustomRtdPoly2_2;
        a1,     trans1_CB_2_CustomRtdPoly2_3;
        a2,     trans1_CB_2_CustomRtdPoly2_4;
        a3,     trans1_CB_2_CustomRtdPoly2_5;
        a4,     trans1_CB_2_CustomRtdPoly2_6;
    }
}

COLLECTION OF VARIABLE trans1_CB_2_CUSTOM_RTD_POLY_3
{
    LABEL           "Polynomial Part 3";
    MEMBERS
    {
        Ohm,    trans1_CB_2_CustomRtdPoly3_1;
        a0,     trans1_CB_2_CustomRtdPoly3_2;
        a1,     trans1_CB_2_CustomRtdPoly3_3;
        a2,     trans1_CB_2_CustomRtdPoly3_4;
        a3,     trans1_CB_2_CustomRtdPoly3_5;
        a4,     trans1_CB_2_CustomRtdPoly3_6;
    }
}

COLLECTION OF VARIABLE trans1_CB_2_CUSTOM_RTD_POLY_4
{
    LABEL           "Polynomial Part 4";
    MEMBERS
    {
        Ohm,    trans1_CB_2_CustomRtdPoly4_1;
        a0,     trans1_CB_2_CustomRtdPoly4_2;
        a1,     trans1_CB_2_CustomRtdPoly4_3;
        a2,     trans1_CB_2_CustomRtdPoly4_4;
        a3,     trans1_CB_2_CustomRtdPoly4_5;
        a4,     trans1_CB_2_CustomRtdPoly4_6;
    }
}

COLLECTION OF VARIABLE trans1_CB_2_CUSTOM_RTD_POLY_5
{
    LABEL           "Polynomial Part 5";
    MEMBERS
    {
        Ohm,    trans1_CB_2_CustomRtdPoly5_1;
        a0,     trans1_CB_2_CustomRtdPoly5_2;
        a1,     trans1_CB_2_CustomRtdPoly5_3;
        a2,     trans1_CB_2_CustomRtdPoly5_4;
        a3,     trans1_CB_2_CustomRtdPoly5_5;
        a4,     trans1_CB_2_CustomRtdPoly5_6;
    }
}

// 24  FLOAT                   CustomRtdPoly1[6]
VARIABLE trans1_CB_2_CustomRtdPoly1_1             /* index 24 */
{
    LABEL       "Upper x-Value";
    HELP        "Custom RTD Poly 1 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   800;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
    VALIDITY    VALID_TT_2_RTD_POLY(1);
    POST_EDIT_ACTIONS
	{
		mtd_set_CB_2_min_value1
	}
}

VARIABLE trans1_CB_2_CustomRtdPoly1_2             /* index 24 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom RTD Poly 1 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(1);
}

VARIABLE trans1_CB_2_CustomRtdPoly1_3             /* index 24 */
{
    LABEL       "1th Order: b";
    HELP        "Custom RTD Poly 1 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(1);
}

VARIABLE trans1_CB_2_CustomRtdPoly1_4             /* index 24 */
{
    LABEL       "2th Order: c";
    HELP        "Custom RTD Poly 1 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(1);
}

VARIABLE trans1_CB_2_CustomRtdPoly1_5             /* index 24 */
{
    LABEL       "3th Order: d";
    HELP        "Custom RTD Poly 1 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(1);
}

VARIABLE trans1_CB_2_CustomRtdPoly1_6             /* index 24 */
{
    LABEL       "4th Order: e";
    HELP        "Custom RTD Poly 1 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(1);
}

VARIABLE trans1_CB_2_CustomRtdPoly2_1             /* index 25 */
{
    LABEL       "Upper x-Value";
    HELP        "Custom RTD Poly 2 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1600;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
    VALIDITY    VALID_TT_2_RTD_POLY(2);
    POST_EDIT_ACTIONS
	{
		mtd_set_CB_2_min_value2
	}
}

VARIABLE trans1_CB_2_CustomRtdPoly2_2             /* index 25 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom RTD Poly 2 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(2);
}

VARIABLE trans1_CB_2_CustomRtdPoly2_3             /* index 25 */
{
    LABEL       "1th Order: b";
    HELP        "Custom RTD Poly 2 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(2);
}

VARIABLE trans1_CB_2_CustomRtdPoly2_4             /* index 25 */
{
    LABEL       "2th Order: c";
    HELP        "Custom RTD Poly 2 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(2);
}

VARIABLE trans1_CB_2_CustomRtdPoly2_5             /* index 25 */
{
    LABEL       "3th Order: d";
    HELP        "Custom RTD Poly 2 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(2);
}

VARIABLE trans1_CB_2_CustomRtdPoly2_6             /* index 25 */
{
    LABEL       "4th Order: e";
    HELP        "Custom RTD Poly 2 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(2);
}

VARIABLE trans1_CB_2_CustomRtdPoly3_1             /* index 26 */
{
    LABEL       "Upper x-Value";
    HELP        "Custom RTD Poly 3 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   2400;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
    VALIDITY    VALID_TT_2_RTD_POLY(3);
    POST_EDIT_ACTIONS
	{
		mtd_set_CB_2_min_value3
	}
}

VARIABLE trans1_CB_2_CustomRtdPoly3_2             /* index 26 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom RTD Poly 3 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(3);
}

VARIABLE trans1_CB_2_CustomRtdPoly3_3             /* index 26 */
{
    LABEL       "1th Order: b";
    HELP        "Custom RTD Poly 3 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(3);
}

VARIABLE trans1_CB_2_CustomRtdPoly3_4             /* index 26 */
{
    LABEL       "2th Order: c";
    HELP        "Custom RTD Poly 3 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(3);
}

VARIABLE trans1_CB_2_CustomRtdPoly3_5             /* index 26 */
{
    LABEL       "3th Order: d";
    HELP        "Custom RTD Poly 3 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(3);
}

VARIABLE trans1_CB_2_CustomRtdPoly3_6             /* index 26 */
{
    LABEL       "4th Order: e";
    HELP        "Custom RTD Poly 3 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(3);
}

VARIABLE trans1_CB_2_CustomRtdPoly4_1             /* index 27 */
{
    LABEL       "Upper x-Value";
    HELP        "Custom RTD Poly 4 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   3200;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
    VALIDITY    VALID_TT_2_RTD_POLY(4);
    POST_EDIT_ACTIONS
	{
		mtd_set_CB_2_min_value4
	}
}

VARIABLE trans1_CB_2_CustomRtdPoly4_2             /* index 27 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom RTD Poly 4 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(4);
}

VARIABLE trans1_CB_2_CustomRtdPoly4_3             /* index 27 */
{
    LABEL       "1th Order: b";
    HELP        "Custom RTD Poly 4 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(4);
}

VARIABLE trans1_CB_2_CustomRtdPoly4_4             /* index 27 */
{
    LABEL       "2th Order: c";
    HELP        "Custom RTD Poly 4 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(4);
}

VARIABLE trans1_CB_2_CustomRtdPoly4_5             /* index 27 */
{
    LABEL       "3th Order: d";
    HELP        "Custom RTD Poly 4 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(4);
}

VARIABLE trans1_CB_2_CustomRtdPoly4_6             /* index 27 */
{
    LABEL       "4th Order: e";
    HELP        "Custom RTD Poly 4 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(4);
}

VARIABLE trans1_CB_2_CustomRtdPoly5_1             /* index 28 */
{
    LABEL       "Upper x-Value";
    HELP        "Custom RTD Poly 5 - 1";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   4000;
        MIN_VALUE       0;
        MAX_VALUE       4000;
    }
    CONSTANT_UNIT   [unit_1281];
    VALIDITY    VALID_TT_2_RTD_POLY(5);
//    POST_EDIT_ACTIONS
//	{
//		mtd_set_min_value5
//	}
}

VARIABLE trans1_CB_2_CustomRtdPoly5_2             /* index 28 */
{
    LABEL       "0th Order: constant a";
    HELP        "Custom RTD Poly 5 - 2";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(5);
}

VARIABLE trans1_CB_2_CustomRtdPoly5_3             /* index 28 */
{
    LABEL       "1th Order: b";
    HELP        "Custom RTD Poly 5 - 3";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   1;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(5);
}

VARIABLE trans1_CB_2_CustomRtdPoly5_4             /* index 28 */
{
    LABEL       "2th Order: c";
    HELP        "Custom RTD Poly 5 - 4";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(5);
}

VARIABLE trans1_CB_2_CustomRtdPoly5_5             /* index 28 */
{
    LABEL       "3th Order: d";
    HELP        "Custom RTD Poly 5 - 5";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(5);
}

VARIABLE trans1_CB_2_CustomRtdPoly5_6             /* index 28 */
{
    LABEL       "4th Order: e";
    HELP        "Custom RTD Poly 5 - 6";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DEFAULT_VALUE   0;
    }
    VALIDITY    VALID_TT_2_RTD_POLY(5);
}

//    USIGN8      ucEntryIdx;         // *+0 TAB_ENTRY           Simple  Unsigned8   D 1 r,w C/a F 0 O (B)
VARIABLE trans1_CB_2_Tab_Entry             /* index 29 */
{
    LABEL       "TAB Entry";
    HELP        "TAB Entry";
    CLASS       DEVICE & DYNAMIC;
    HANDLING    READ & WRITE;
    TYPE        UNSIGNED_INTEGER (1);
}

//    TAB_X_Y     sEntryVal;          // *+1 TAB_X_Y_VALUE       Array   Float       D 8 r,w C/a F - O (B)
VARIABLE trans1_CB_2_Tab_EntryVal_X             /* index 30 */
{
    LABEL       "X";
    HELP        "TAB_X_Y_VALUE";
    CLASS       DEVICE & DYNAMIC;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DISPLAY_FORMAT ".2f";
    }
}

VARIABLE trans1_CB_2_Tab_EntryVal_Y             /* index 30 */
{
    LABEL       "Y";
    HELP        "TAB_X_Y_VALUE";
    CLASS       DEVICE;
    HANDLING    READ & WRITE;
    TYPE        FLOAT
    {
        DISPLAY_FORMAT ".2f";
    }
}

//    USIGN8      ucMinNumber;        // *+2 TAB_MIN_NUMBER      Simple  Unsigned8   N 1 r   C/a F - O (B)
VARIABLE trans1_CB_2_Tab_MinNumber             /* index 31 */
{
    LABEL       "Min Number";
    HELP        "TAB_MIN_NUMBER";
    CLASS       DEVICE;
    HANDLING    READ;
    TYPE        UNSIGNED_INTEGER (1);
}

//    USIGN8      ucMaxNumber;        // *+3 TAB_MAX_NUMBER      Simple  Unsigned8   N 1 r   C/a F - O (B)
VARIABLE trans1_CB_2_Tab_MaxNumber             /* index 32 */
{
    LABEL       "Max Number";
    HELP        "TAB_MAX_NUMBER";
    CLASS       DEVICE;
    HANDLING    READ;
    TYPE        UNSIGNED_INTEGER (1);
}

//    USIGN8      ucOpCode;           // *+4 TAB_OP_CODE         Simple  Unsigned8   D 1 r,w C/a F - O (B)
VARIABLE trans1_CB_2_Tab_OpCode             /* index 33 */
{
    LABEL       "OP code";
    HELP        "TAB_OP_CODE";
    CLASS       DEVICE & DYNAMIC;
    HANDLING    READ & WRITE;
    TYPE        UNSIGNED_INTEGER (1);
}

//    USIGN8      ucStatus;           // *+5 TAB_STATUS          Simple  Unsigned8   D 1 r   C/a F 0 O (B)
VARIABLE trans1_CB_2_Tab_Status             /* index 34 */
{
    LABEL       "Status";
    HELP        "TAB_STATUS";
    CLASS       DEVICE & DYNAMIC;
    HANDLING    READ;
    TYPE        UNSIGNED_INTEGER (1);
}

//    USIGN8      ucActualNumber;     // *+6 TAB_ACTUAL_NUMBER   Simple  Unsigned8   N 1 r   C/a F - O (B)
VARIABLE trans1_CB_2_Tab_Actual_Number             /* index 35 */
{
    LABEL       "Tab actual number";
    HELP        "TAB_ACTUAL_NUMBER";
    CLASS       DEVICE;
    HANDLING    READ;
    TYPE        UNSIGNED_INTEGER (1);
}

VARIABLE CB_2_table_x_1
{
    LABEL        "X1:";
    CLASS          LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 0.0;
    }
}

VARIABLE CB_2_table_x_2
{
    LABEL        "X2:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 5.0;
    }
}

VARIABLE CB_2_table_x_3
{
    LABEL        "X3:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 10.0;
    }
}

VARIABLE CB_2_table_x_4
{
    LABEL        "X4:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 15.0;
    }
}

VARIABLE CB_2_table_x_5
{
    LABEL        "X5:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 20.0;
    }
}

VARIABLE CB_2_table_x_6
{
    LABEL        "X6:";
    CLASS       LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 25.0;
    }
}

VARIABLE CB_2_table_x_7
{
    LABEL        "X7:";
    CLASS       LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 30.0;
    }
}

VARIABLE CB_2_table_x_8
{
    LABEL        "X8:";
    CLASS       LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 40.0;
    }
}

VARIABLE CB_2_table_x_9
{
    LABEL        "X9:";
    CLASS          LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 50.0;
    }
}

VARIABLE CB_2_table_x_10
{
    LABEL        "X10:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 60.0;
    }
}

VARIABLE CB_2_table_x_11
{
    LABEL        "X11:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 70.0;
    }
}

VARIABLE CB_2_table_x_12
{
    LABEL        "X12:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 80.0;
    }
}

VARIABLE CB_2_table_x_13
{
    LABEL        "X13:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 85.0;
    }
}

VARIABLE CB_2_table_x_14
{
    LABEL        "X14:";
    CLASS       LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 90.0;
    }
}

VARIABLE CB_2_table_x_15
{
    LABEL        "X15:";
    CLASS       LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 95.0;
    }
}

VARIABLE CB_2_table_x_16
{
    LABEL        "X16:";
    CLASS       LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 100.0;
    }
}

VARIABLE CB_2_table_y_1
{
    LABEL        "Y1";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 0.0;
    }
}

VARIABLE CB_2_table_y_2
{
    LABEL        "Y2";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 5.0;
    }
}

VARIABLE CB_2_table_y_3
{
    LABEL        "Y3:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 10.0;
    }
}

VARIABLE CB_2_table_y_4
{
    LABEL        "Y4:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 15.0;
    }
}

VARIABLE CB_2_table_y_5
{
    LABEL        "Y5:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 20.0;
    }
}

VARIABLE CB_2_table_y_6
{
    LABEL        "Y6:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 25.0;
    }
}

VARIABLE CB_2_table_y_7
{
    LABEL        "Y7:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 30.0;
    }
}

VARIABLE CB_2_table_y_8
{
    LABEL        "Y8:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 40.0;
    }
}
VARIABLE CB_2_table_y_9
{
    LABEL        "Y9";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 50.0;
    }
}

VARIABLE CB_2_table_y_10
{
    LABEL        "Y10";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 60.0;
    }
}

VARIABLE CB_2_table_y_11
{
    LABEL        "Y11:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 70.0;
    }
}

VARIABLE CB_2_table_y_12
{
    LABEL        "Y12:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 80.0;
    }
}

VARIABLE CB_2_table_y_13
{
    LABEL        "Y13:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 85.0;
    }
}

VARIABLE CB_2_table_y_14
{
    LABEL        "Y14:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 90.0;
    }
}

VARIABLE CB_2_table_y_15
{
    LABEL        "Y15:";
    CLASS      LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 95.0;
    }
}

VARIABLE CB_2_table_y_16
{
    LABEL        "Y16:";
    CLASS       LOCAL;
    TYPE         FLOAT
    {
        DEFAULT_VALUE 100.0;
    }
}

/***********************************************************************/
/*    Unit relations                                                   */
/***********************************************************************/

/* Transducer Block 2 */
/* no unit relations */

/*---------------------------------------------------------------------*/
/*    Transducer Block 2: (Commands)                                   */
/*---------------------------------------------------------------------*/

COMMAND read_trans1_CB_2_CustomTcName
{
    BLOCK trans1_TT_2;
    INDEX 73;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CustomTcName
        }
    }
}

COMMAND write_trans1_CB_2_CustomTcName
{
    BLOCK trans1_TT_2;
    INDEX 73;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CustomTcName
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomTcPolyCount
{
    BLOCK trans1_TT_2;
    INDEX 74;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CustomTcPolyCount
        }
    }
}

COMMAND write_trans1_CB_2_CustomTcPolyCount
{
    BLOCK trans1_TT_2;
    INDEX 74;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CustomTcPolyCount
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomTcMinIn
{
    BLOCK trans1_TT_2;
    INDEX 75;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CustomTcMinIn
        }
    }
}

COMMAND write_trans1_CB_2_CustomTcMinIn
{
    BLOCK trans1_TT_2;
    INDEX 75;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CustomTcMinIn
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomTcMinOut
{
    BLOCK trans1_TT_2;
    INDEX 76;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CustomTcMinOut
        }
    }
}

COMMAND write_trans1_CB_2_CustomTcMinOut
{
    BLOCK trans1_TT_2;
    INDEX 76;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CustomTcMinOut
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomTcMaxOut
{
    BLOCK trans1_TT_2;
    INDEX 77;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CustomTcMaxOut
        }
    }
}

COMMAND write_trans1_CB_2_CustomTcMaxOut
{
    BLOCK trans1_TT_2;
    INDEX 77;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CustomTcMaxOut
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomTcPoly1
{
    BLOCK trans1_TT_2;
    INDEX 78;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CustomTcPoly1_1,
            trans1_CB_2_CustomTcPoly1_2,
            trans1_CB_2_CustomTcPoly1_3,
            trans1_CB_2_CustomTcPoly1_4,
            trans1_CB_2_CustomTcPoly1_5,
            trans1_CB_2_CustomTcPoly1_6
        }
    }
}

COMMAND write_trans1_CB_2_CustomTcPoly1
{
    BLOCK trans1_TT_2;
    INDEX 78;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CustomTcPoly1_1,
            trans1_CB_2_CustomTcPoly1_2,
            trans1_CB_2_CustomTcPoly1_3,
            trans1_CB_2_CustomTcPoly1_4,
            trans1_CB_2_CustomTcPoly1_5,
            trans1_CB_2_CustomTcPoly1_6
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomTcPoly2
{
    BLOCK trans1_TT_2;
    INDEX 79;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CustomTcPoly2_1,
            trans1_CB_2_CustomTcPoly2_2,
            trans1_CB_2_CustomTcPoly2_3,
            trans1_CB_2_CustomTcPoly2_4,
            trans1_CB_2_CustomTcPoly2_5,
            trans1_CB_2_CustomTcPoly2_6
        }
    }
}

COMMAND write_trans1_CB_2_CustomTcPoly2
{
    BLOCK trans1_TT_2;
    INDEX 79;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CustomTcPoly2_1,
            trans1_CB_2_CustomTcPoly2_2,
            trans1_CB_2_CustomTcPoly2_3,
            trans1_CB_2_CustomTcPoly2_4,
            trans1_CB_2_CustomTcPoly2_5,
            trans1_CB_2_CustomTcPoly2_6
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomTcPoly3
{
    BLOCK trans1_TT_2;
    INDEX 80;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CustomTcPoly3_1,
            trans1_CB_2_CustomTcPoly3_2,
            trans1_CB_2_CustomTcPoly3_3,
            trans1_CB_2_CustomTcPoly3_4,
            trans1_CB_2_CustomTcPoly3_5,
            trans1_CB_2_CustomTcPoly3_6
        }
    }
}

COMMAND write_trans1_CB_2_CustomTcPoly3
{
    BLOCK trans1_TT_2;
    INDEX 80;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CustomTcPoly3_1,
            trans1_CB_2_CustomTcPoly3_2,
            trans1_CB_2_CustomTcPoly3_3,
            trans1_CB_2_CustomTcPoly3_4,
            trans1_CB_2_CustomTcPoly3_5,
            trans1_CB_2_CustomTcPoly3_6
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomTcPoly4
{
    BLOCK trans1_TT_2;
    INDEX 81;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CustomTcPoly4_1,
            trans1_CB_2_CustomTcPoly4_2,
            trans1_CB_2_CustomTcPoly4_3,
            trans1_CB_2_CustomTcPoly4_4,
            trans1_CB_2_CustomTcPoly4_5,
            trans1_CB_2_CustomTcPoly4_6
        }
    }
}

COMMAND write_trans1_CB_2_CustomTcPoly4
{
    BLOCK trans1_TT_2;
    INDEX 81;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CustomTcPoly4_1,
            trans1_CB_2_CustomTcPoly4_2,
            trans1_CB_2_CustomTcPoly4_3,
            trans1_CB_2_CustomTcPoly4_4,
            trans1_CB_2_CustomTcPoly4_5,
            trans1_CB_2_CustomTcPoly4_6
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomTcPoly5
{
    BLOCK trans1_TT_2;
    INDEX 82;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CustomTcPoly5_1,
            trans1_CB_2_CustomTcPoly5_2,
            trans1_CB_2_CustomTcPoly5_3,
            trans1_CB_2_CustomTcPoly5_4,
            trans1_CB_2_CustomTcPoly5_5,
            trans1_CB_2_CustomTcPoly5_6
        }
    }
}

COMMAND write_trans1_CB_2_CustomTcPoly5
{
    BLOCK trans1_TT_2;
    INDEX 82;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CustomTcPoly5_1,
            trans1_CB_2_CustomTcPoly5_2,
            trans1_CB_2_CustomTcPoly5_3,
            trans1_CB_2_CustomTcPoly5_4,
            trans1_CB_2_CustomTcPoly5_5,
            trans1_CB_2_CustomTcPoly5_6
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomTcRjPoly
{
    BLOCK trans1_TT_2;
    INDEX 83;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CUSTOM_TC_RJ_POLY.a0,
            trans1_CB_2_CUSTOM_TC_RJ_POLY.a1,
            trans1_CB_2_CUSTOM_TC_RJ_POLY.a2,
            trans1_CB_2_CUSTOM_TC_RJ_POLY.a3
        }
    }
}

COMMAND write_trans1_CB_2_CustomTcRjPoly
{
    BLOCK trans1_TT_2;
    INDEX 83;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CUSTOM_TC_RJ_POLY.a0,
            trans1_CB_2_CUSTOM_TC_RJ_POLY.a1,
            trans1_CB_2_CUSTOM_TC_RJ_POLY.a2,
            trans1_CB_2_CUSTOM_TC_RJ_POLY.a3
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomRtdName
{
    BLOCK trans1_TT_2;
    INDEX 84;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CustomRtdName
        }
    }
}

COMMAND write_trans1_CB_2_CustomRtdName
{
    BLOCK trans1_TT_2;
    INDEX 84;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CustomRtdName
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomRtdPolyCount
{
    BLOCK trans1_TT_2;
    INDEX 85;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CustomRtdPolyCount
        }
    }
}

COMMAND write_trans1_CB_2_CustomRtdPolyCount
{
    BLOCK trans1_TT_2;
    INDEX 85;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CustomRtdPolyCount
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomRtdMinIn
{
    BLOCK trans1_TT_2;
    INDEX 86;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CustomRtdMinIn
        }
    }
}

COMMAND write_trans1_CB_2_CustomRtdMinIn
{
    BLOCK trans1_TT_2;
    INDEX 86;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CustomRtdMinIn
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomRtdMinOut
{
    BLOCK trans1_TT_2;
    INDEX 87;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CustomRtdMinOut
        }
    }
}

COMMAND write_trans1_CB_2_CustomRtdMinOut
{
    BLOCK trans1_TT_2;
    INDEX 87;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CustomRtdMinOut
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomRtdMaxOut
{
    BLOCK trans1_TT_2;
    INDEX 88;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CustomRtdMaxOut
        }
    }
}

COMMAND write_trans1_CB_2_CustomRtdMaxOut
{
    BLOCK trans1_TT_2;
    INDEX 88;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CustomRtdMaxOut
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomRtdPoly1
{
    BLOCK trans1_TT_2;
    INDEX 89;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CUSTOM_RTD_POLY_1.Ohm,
            trans1_CB_2_CUSTOM_RTD_POLY_1.a0, 
            trans1_CB_2_CUSTOM_RTD_POLY_1.a1, 
            trans1_CB_2_CUSTOM_RTD_POLY_1.a2, 
            trans1_CB_2_CUSTOM_RTD_POLY_1.a3, 
            trans1_CB_2_CUSTOM_RTD_POLY_1.a4
        }
    }
}

COMMAND write_trans1_CB_2_CustomRtdPoly1
{
    BLOCK trans1_TT_2;
    INDEX 89;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CUSTOM_RTD_POLY_1.Ohm,
            trans1_CB_2_CUSTOM_RTD_POLY_1.a0, 
            trans1_CB_2_CUSTOM_RTD_POLY_1.a1, 
            trans1_CB_2_CUSTOM_RTD_POLY_1.a2, 
            trans1_CB_2_CUSTOM_RTD_POLY_1.a3, 
            trans1_CB_2_CUSTOM_RTD_POLY_1.a4  
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomRtdPoly2
{
    BLOCK trans1_TT_2;
    INDEX 90;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CUSTOM_RTD_POLY_2.Ohm,
            trans1_CB_2_CUSTOM_RTD_POLY_2.a0, 
            trans1_CB_2_CUSTOM_RTD_POLY_2.a1, 
            trans1_CB_2_CUSTOM_RTD_POLY_2.a2, 
            trans1_CB_2_CUSTOM_RTD_POLY_2.a3, 
            trans1_CB_2_CUSTOM_RTD_POLY_2.a4  
        }
    }
}

COMMAND write_trans1_CB_2_CustomRtdPoly2
{
    BLOCK trans1_TT_2;
    INDEX 90;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CUSTOM_RTD_POLY_2.Ohm,
            trans1_CB_2_CUSTOM_RTD_POLY_2.a0, 
            trans1_CB_2_CUSTOM_RTD_POLY_2.a1, 
            trans1_CB_2_CUSTOM_RTD_POLY_2.a2, 
            trans1_CB_2_CUSTOM_RTD_POLY_2.a3, 
            trans1_CB_2_CUSTOM_RTD_POLY_2.a4  
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomRtdPoly3
{
    BLOCK trans1_TT_2;
    INDEX 91;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CUSTOM_RTD_POLY_3.Ohm,
            trans1_CB_2_CUSTOM_RTD_POLY_3.a0, 
            trans1_CB_2_CUSTOM_RTD_POLY_3.a1, 
            trans1_CB_2_CUSTOM_RTD_POLY_3.a2, 
            trans1_CB_2_CUSTOM_RTD_POLY_3.a3, 
            trans1_CB_2_CUSTOM_RTD_POLY_3.a4  
        }
    }
}

COMMAND write_trans1_CB_2_CustomRtdPoly3
{
    BLOCK trans1_TT_2;
    INDEX 91;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CUSTOM_RTD_POLY_3.Ohm,
            trans1_CB_2_CUSTOM_RTD_POLY_3.a0, 
            trans1_CB_2_CUSTOM_RTD_POLY_3.a1, 
            trans1_CB_2_CUSTOM_RTD_POLY_3.a2, 
            trans1_CB_2_CUSTOM_RTD_POLY_3.a3, 
            trans1_CB_2_CUSTOM_RTD_POLY_3.a4  
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomRtdPoly4
{
    BLOCK trans1_TT_2;
    INDEX 92;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CUSTOM_RTD_POLY_4.Ohm,
            trans1_CB_2_CUSTOM_RTD_POLY_4.a0, 
            trans1_CB_2_CUSTOM_RTD_POLY_4.a1, 
            trans1_CB_2_CUSTOM_RTD_POLY_4.a2, 
            trans1_CB_2_CUSTOM_RTD_POLY_4.a3, 
            trans1_CB_2_CUSTOM_RTD_POLY_4.a4  
        }
    }
}

COMMAND write_trans1_CB_2_CustomRtdPoly4
{
    BLOCK trans1_TT_2;
    INDEX 92;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CUSTOM_RTD_POLY_4.Ohm,
            trans1_CB_2_CUSTOM_RTD_POLY_4.a0, 
            trans1_CB_2_CUSTOM_RTD_POLY_4.a1, 
            trans1_CB_2_CUSTOM_RTD_POLY_4.a2, 
            trans1_CB_2_CUSTOM_RTD_POLY_4.a3, 
            trans1_CB_2_CUSTOM_RTD_POLY_4.a4  
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_CustomRtdPoly5
{
    BLOCK trans1_TT_2;
    INDEX 93;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_CUSTOM_RTD_POLY_5.Ohm,
            trans1_CB_2_CUSTOM_RTD_POLY_5.a0, 
            trans1_CB_2_CUSTOM_RTD_POLY_5.a1, 
            trans1_CB_2_CUSTOM_RTD_POLY_5.a2, 
            trans1_CB_2_CUSTOM_RTD_POLY_5.a3, 
            trans1_CB_2_CUSTOM_RTD_POLY_5.a4  
        }
    }
}

COMMAND write_trans1_CB_2_CustomRtdPoly5
{
    BLOCK trans1_TT_2;
    INDEX 93;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_CUSTOM_RTD_POLY_5.Ohm,
            trans1_CB_2_CUSTOM_RTD_POLY_5.a0, 
            trans1_CB_2_CUSTOM_RTD_POLY_5.a1, 
            trans1_CB_2_CUSTOM_RTD_POLY_5.a2, 
            trans1_CB_2_CUSTOM_RTD_POLY_5.a3, 
            trans1_CB_2_CUSTOM_RTD_POLY_5.a4  
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_Tab_Entry
{
    BLOCK trans1_TT_2;
    INDEX 45;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_Tab_Entry
        }
    }
}

COMMAND write_trans1_CB_2_Tab_Entry
{
    BLOCK trans1_TT_2;
    INDEX 45;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_Tab_Entry
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_Tab_EntryVal
{
    BLOCK trans1_TT_2;
    INDEX 46;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_Tab_EntryVal_X,
            trans1_CB_2_Tab_EntryVal_Y
        }
    }
}

COMMAND write_trans1_CB_2_Tab_EntryVal
{
    BLOCK trans1_TT_2;
    INDEX 46;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_Tab_EntryVal_X,
            trans1_CB_2_Tab_EntryVal_Y
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_Tab_MinNumber
{
    BLOCK trans1_TT_2;
    INDEX 47;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_Tab_MinNumber
        }
    }
}

COMMAND read_trans1_CB_2_Tab_MaxNumber
{
    BLOCK trans1_TT_2;
    INDEX 48;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_Tab_MaxNumber
        }
    }
}

COMMAND read_trans1_CB_2_Tab_OpCode
{
    BLOCK trans1_TT_2;
    INDEX 49;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_Tab_OpCode
        }
    }
}

COMMAND write_trans1_CB_2_Tab_OpCode
{
    BLOCK trans1_TT_2;
    INDEX 49;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            trans1_CB_2_Tab_OpCode
        }
        REPLY
        {
        }
    }
}

COMMAND read_trans1_CB_2_Tab_Status
{
    BLOCK trans1_TT_2;
    INDEX 50;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_Tab_Status
        }
    }
}

COMMAND read_trans1_CB_2_Tab_Actual_Number
{
    BLOCK trans1_TT_2;
    INDEX 51;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            trans1_CB_2_Tab_Actual_Number
        }
    }
}

/*---------------------------------------------------------------------*/
/*    Block: (Menus and Windows)                                 */
/*---------------------------------------------------------------------*/

MENU OnlineWindow_trans1_CB_2_setting
{
    LABEL "Custom Transducer Block";
    ITEMS
    {
        Page_trans1_CB_2_Custom_RTD_Info,
        Page_trans1_CB_2_Custom_RTD,
        Page_trans1_CB_2_Custom_TC_Info,
        Page_trans1_CB_2_Custom_TC
    }
}

MENU Page_trans1_CB_2_Custom_RTD_Info
{
    LABEL       "Custom RTD Info";
    ITEMS
    {
        Group_trans1_CB_2_Custom_RTD_Info,
        Group_trans1_CB_2_CustomRtdMaxInLimit
    }
}

MENU Page_trans1_CB_2_Custom_RTD
{
    LABEL       "Custom RTD Poly";
    ITEMS
    {
//        Group_trans1_CB_2_CustomRtdPoly1,
//        COLUMNBREAK,
//        Group_trans1_CB_2_CustomRtdPoly2,
//        COLUMNBREAK,
//        Group_trans1_CB_2_CustomRtdPoly3,
//        COLUMNBREAK,
//        Group_trans1_CB_2_CustomRtdPoly4,
//        COLUMNBREAK,
//        Group_trans1_CB_2_CustomRtdPoly5,
//        COLUMNBREAK,
//        Group_trans1_CB_2_CustomRtdPoly6

        trans1_CB_2_CustomRtdPoly1_2,
        trans1_CB_2_CustomRtdPoly2_2,
        trans1_CB_2_CustomRtdPoly3_2,
        trans1_CB_2_CustomRtdPoly4_2,
        trans1_CB_2_CustomRtdPoly5_2,
        COLUMNBREAK,
        trans1_CB_2_CustomRtdPoly1_3,
        trans1_CB_2_CustomRtdPoly2_3,
        trans1_CB_2_CustomRtdPoly3_3,
        trans1_CB_2_CustomRtdPoly4_3,
        trans1_CB_2_CustomRtdPoly5_3,
        COLUMNBREAK,
        trans1_CB_2_CustomRtdPoly1_4,
        trans1_CB_2_CustomRtdPoly2_4,
        trans1_CB_2_CustomRtdPoly3_4,
        trans1_CB_2_CustomRtdPoly4_4,
        trans1_CB_2_CustomRtdPoly5_4,
        COLUMNBREAK,
        trans1_CB_2_CustomRtdPoly1_5,
        trans1_CB_2_CustomRtdPoly2_5,
        trans1_CB_2_CustomRtdPoly3_5,
        trans1_CB_2_CustomRtdPoly4_5,
        trans1_CB_2_CustomRtdPoly5_5,
        COLUMNBREAK,
        trans1_CB_2_CustomRtdPoly1_6,
        trans1_CB_2_CustomRtdPoly2_6,
        trans1_CB_2_CustomRtdPoly3_6,
        trans1_CB_2_CustomRtdPoly4_6,
        trans1_CB_2_CustomRtdPoly5_6
    }
}

MENU Group_trans1_CB_2_Custom_RTD_Info
{
    LABEL       "Custom RTD Info";
    ITEMS
    {
        trans1_CB_2_CustomRtdName,
        COLUMNBREAK,
        trans1_CB_2_CustomRtdPolyCount,
        COLUMNBREAK,
        trans1_CB_2_CustomRtdMinIn,
        COLUMNBREAK,
        trans1_CB_2_CustomRtdMinOut,
        COLUMNBREAK,
        trans1_CB_2_CustomRtdMaxOut,
        COLUMNBREAK
    }
}

MENU Group_trans1_CB_2_CustomRtdMaxInLimit
{
    LABEL       "Max Input Limit in Ohm";
    ITEMS
    {
        trans1_CB_2_CustomRtdPoly1_1,
        COLUMNBREAK,
        trans1_CB_2_CustomRtdPoly2_1,
        COLUMNBREAK,
        trans1_CB_2_CustomRtdPoly3_1,
        COLUMNBREAK,
        trans1_CB_2_CustomRtdPoly4_1,
        COLUMNBREAK,
        trans1_CB_2_CustomRtdPoly5_1
    }
}

MENU Page_trans1_CB_2_Custom_TC_Info
{
    LABEL       "Custom TC Info";
    ITEMS
    {
        Group_trans1_CB_2_CustomTcPolyInfo,
        Group_trans1_CB_2_CustomTcMaxInLimit
    }
}

MENU Page_trans1_CB_2_Custom_TC
{
    LABEL       "Custom TC Poly";
    ITEMS
    {
        trans1_CB_2_CustomTcPoly1_2,
        trans1_CB_2_CustomTcPoly2_2,
        trans1_CB_2_CustomTcPoly3_2,
        trans1_CB_2_CustomTcPoly4_2,
        trans1_CB_2_CustomTcPoly5_2,
        trans1_CB_2_CustomTcRjPoly_1,
        COLUMNBREAK,
        trans1_CB_2_CustomTcPoly1_3,
        trans1_CB_2_CustomTcPoly2_3,
        trans1_CB_2_CustomTcPoly3_3,
        trans1_CB_2_CustomTcPoly4_3,
        trans1_CB_2_CustomTcPoly5_3,
        trans1_CB_2_CustomTcRjPoly_2,
        COLUMNBREAK,
        trans1_CB_2_CustomTcPoly1_4,
        trans1_CB_2_CustomTcPoly2_4,
        trans1_CB_2_CustomTcPoly3_4,
        trans1_CB_2_CustomTcPoly4_4,
        trans1_CB_2_CustomTcPoly5_4,
        trans1_CB_2_CustomTcRjPoly_3,
        COLUMNBREAK,
        trans1_CB_2_CustomTcPoly1_5,
        trans1_CB_2_CustomTcPoly2_5,
        trans1_CB_2_CustomTcPoly3_5,
        trans1_CB_2_CustomTcPoly4_5,
        trans1_CB_2_CustomTcPoly5_5,
        trans1_CB_2_CustomTcRjPoly_4,
        COLUMNBREAK,
        trans1_CB_2_CustomTcPoly1_6,
        trans1_CB_2_CustomTcPoly2_6,
        trans1_CB_2_CustomTcPoly3_6,
        trans1_CB_2_CustomTcPoly4_6,
        trans1_CB_2_CustomTcPoly5_6
    }
}

MENU Group_trans1_CB_2_CustomTcPolyInfo
{
    LABEL       "Custom TC Info";
    ITEMS
    {
        trans1_CB_2_CustomTcName,
        COLUMNBREAK,
        trans1_CB_2_CustomTcPolyCount,
        COLUMNBREAK,
        trans1_CB_2_CustomTcMinIn,
        COLUMNBREAK,
        trans1_CB_2_CustomTcMinOut,
        COLUMNBREAK,
        trans1_CB_2_CustomTcMaxOut,
        COLUMNBREAK
    }
}

MENU Group_trans1_CB_2_CustomTcMaxInLimit
{
    LABEL       "Max Input Limit in mV";
    ITEMS
    {
        trans1_CB_2_CustomTcPoly1_1,
        COLUMNBREAK,
        trans1_CB_2_CustomTcPoly2_1,
        COLUMNBREAK,
        trans1_CB_2_CustomTcPoly3_1,
        COLUMNBREAK,
        trans1_CB_2_CustomTcPoly4_1,
        COLUMNBREAK,
        trans1_CB_2_CustomTcPoly5_1
    }
}

MENU OnlineDialog_trans1_CB_2_table
{
    LABEL       "User Calibration Table";
    ITEMS
    {
        Page_trans1_CB_2_table
    }
}

MENU Page_trans1_CB_2_table
{
    LABEL "Table";
    ITEMS
    {
        CB_2_table_x_1,
        CB_2_table_x_2,
        CB_2_table_x_3,
        CB_2_table_x_4,
        CB_2_table_x_5,
        CB_2_table_x_6,
        CB_2_table_x_7,
        CB_2_table_x_8,
        CB_2_table_x_9,
        CB_2_table_x_10,
        CB_2_table_x_11,
        CB_2_table_x_12,
        CB_2_table_x_13,
        CB_2_table_x_14,
        CB_2_table_x_15,
        CB_2_table_x_16,        
/*      CB_2_  number_of_points,   */
        COLUMNBREAK,
        CB_2_table_y_1,
        CB_2_table_y_2,
        CB_2_table_y_3,
        CB_2_table_y_4,
        CB_2_table_y_5,
        CB_2_table_y_6,
        CB_2_table_y_7,
        CB_2_table_y_8,
        CB_2_table_y_9,  
        CB_2_table_y_10, 
        CB_2_table_y_11, 
        CB_2_table_y_12, 
        CB_2_table_y_13, 
        CB_2_table_y_14, 
        CB_2_table_y_15, 
        CB_2_table_y_16, 
        COLUMNBREAK,
        method_read_CB_2_table_1,
        method_send_CB_2_table_1,
        method_reset_CB_2_table_1
    }
}

METHOD method_read_CB_2_table_1
{
    LABEL   "Read table";
    HELP     [meth_read_table_src_help];
    DEFINITION
    {
        int i;
        float x1[16],y1[16];

        for (i=0;i<16;i++)
        {
            iassign(trans1_CB_2_Tab_Entry,i+1);
            WriteCommand(write_trans1_CB_2_Tab_Entry);
            ReadCommand(read_trans1_CB_2_Tab_EntryVal);
            x1[i] = fvar_value(trans1_CB_2_Tab_EntryVal_X);
            y1[i] = fvar_value(trans1_CB_2_Tab_EntryVal_Y);
        }

        fassign(CB_2_table_x_1,x1[0]);
        fassign(CB_2_table_y_1,y1[0]);
        fassign(CB_2_table_x_2,x1[1]);
        fassign(CB_2_table_y_2,y1[1]);
        fassign(CB_2_table_x_3,x1[2]);
        fassign(CB_2_table_y_3,y1[2]);
        fassign(CB_2_table_x_4,x1[3]);
        fassign(CB_2_table_y_4,y1[3]);
        fassign(CB_2_table_x_5,x1[4]);
        fassign(CB_2_table_y_5,y1[4]);
        fassign(CB_2_table_x_6,x1[5]);
        fassign(CB_2_table_y_6,y1[5]);
        fassign(CB_2_table_x_7,x1[6]);
        fassign(CB_2_table_y_7,y1[6]);
        fassign(CB_2_table_x_8,x1[7]);
        fassign(CB_2_table_y_8,y1[7]);
        fassign(CB_2_table_x_9,x1[8]);
        fassign(CB_2_table_y_9,y1[8]);
        fassign(CB_2_table_x_10,x1[9]);
        fassign(CB_2_table_y_10,y1[9]);
        fassign(CB_2_table_x_11,x1[10]);
        fassign(CB_2_table_y_11,y1[10]);
        fassign(CB_2_table_x_12,x1[11]);
        fassign(CB_2_table_y_12,y1[11]);
        fassign(CB_2_table_x_13,x1[12]);
        fassign(CB_2_table_y_13,y1[12]);
        fassign(CB_2_table_x_14,x1[13]);
        fassign(CB_2_table_y_14,y1[13]);
        fassign(CB_2_table_x_15,x1[14]);
        fassign(CB_2_table_y_15,y1[14]);
        fassign(CB_2_table_x_16,x1[15]);
        fassign(CB_2_table_y_16,y1[15]);
    }
}

METHOD method_send_CB_2_table_1
{
    LABEL "Write Table";
    DEFINITION
    {
        int     opcode,num_point,i, rc;
        float   x1[16],y1[16];
        int        status,flag1,flag2;
        char    text[];

        flag1 = 0;
        flag2 = 0;

        while (flag1 == 0)
        {
            rc=GET_LOCAL_VAR_VALUE("Please enter the number of points you would like to validate in your table.", num_point);
            if (rc==0)
            {
                if(num_point < 2 || num_point > 16)
                {
                    ACKNOWLEDGE("Number of points is out of the range ( 2 - 16)");
                }
                else
                {
                    flag1 = 1;
                }
            }
            else
            {
                flag1 = 1;
                flag2 = 1;
                ACKNOWLEDGE("The table will not be written");
            }
        }

        if (flag2==0)
        {
            x1[0] = fvar_value(CB_2_table_x_1);
            y1[0] = fvar_value(CB_2_table_y_1);
            x1[1] = fvar_value(CB_2_table_x_2);
            y1[1] = fvar_value(CB_2_table_y_2);
            x1[2] = fvar_value(CB_2_table_x_3);
            y1[2] = fvar_value(CB_2_table_y_3);
            x1[3] = fvar_value(CB_2_table_x_4);
            y1[3] = fvar_value(CB_2_table_y_4);
            x1[4] = fvar_value(CB_2_table_x_5);
            y1[4] = fvar_value(CB_2_table_y_5);
            x1[5] = fvar_value(CB_2_table_x_6);
            y1[5] = fvar_value(CB_2_table_y_6);
            x1[6] = fvar_value(CB_2_table_x_7);
            y1[6] = fvar_value(CB_2_table_y_7);
            x1[7] = fvar_value(CB_2_table_x_8);
            y1[7] = fvar_value(CB_2_table_y_8);
            x1[8] = fvar_value(CB_2_table_x_9);
            y1[8] = fvar_value(CB_2_table_y_9);
            x1[9] = fvar_value(CB_2_table_x_10);
            y1[9] = fvar_value(CB_2_table_y_10);
            x1[10] = fvar_value(CB_2_table_x_11);
            y1[10] = fvar_value(CB_2_table_y_11);
            x1[11] = fvar_value(CB_2_table_x_12);
            y1[11] = fvar_value(CB_2_table_y_12);
            x1[12] = fvar_value(CB_2_table_x_13);
            y1[12] = fvar_value(CB_2_table_y_13);
            x1[13] = fvar_value(CB_2_table_x_14);
            y1[13] = fvar_value(CB_2_table_y_14);
            x1[14] = fvar_value(CB_2_table_x_15);
            y1[14] = fvar_value(CB_2_table_y_15);
            x1[15] = fvar_value(CB_2_table_x_16);
            y1[15] = fvar_value(CB_2_table_y_16);

            opcode = 1;

            /*        num_point = ivar_value(number_of_points); */

            iassign(trans1_CB_2_Tab_OpCode, opcode);
            WriteCommand(write_trans1_CB_2_Tab_OpCode);
            for (i=1;i<=num_point;i++)
            {
                iassign(trans1_CB_2_Tab_Entry,i);
                WriteCommand(write_trans1_CB_2_Tab_Entry);

                fassign(trans1_CB_2_Tab_EntryVal_X,x1[i-1]);
                fassign(trans1_CB_2_Tab_EntryVal_Y,y1[i-1]);
                WriteCommand(write_trans1_CB_2_Tab_EntryVal);
            }
            opcode = 3;
            iassign(trans1_CB_2_Tab_OpCode, opcode);
            WriteCommand(write_trans1_CB_2_Tab_OpCode);

            ReadCommand(read_trans1_CB_2_Tab_Status);
            status = ivar_value(trans1_CB_2_Tab_Status);

            switch (status)
            {
                case 0:
                {
                    PUT_MESSAGE ("Not initialized");
                    break;
                }
                case 2:
                case 20:
                {
                    PUT_MESSAGE ("Characterization: Not monotonous increasing");
                    break;
                }
                case 3:
                case 21:
                {
                    PUT_MESSAGE ("Characterization: Not monotonous decreasing");
                    break;
                }
                case 4:
                case 22:
                {
                    PUT_MESSAGE ("Not enough values transmitted");
                    break;
                }
                case 5:
                case 23:
                {
                    PUT_MESSAGE ("Too many values transmitted");
                    break;
                }
                case 6:
                case 24:
                {
                    PUT_MESSAGE ("Gradient of edge too high");
                    break;
                }
                case 7:
                case 25:
                {
                    PUT_MESSAGE ("Table not accepted.");
                    break;
                }
                case 8:
                case 26:
                {
                    PUT_MESSAGE ("Table is currently loaded");
                    break;
                }
                case 9:
                case 27:
                {
                    PUT_MESSAGE ("softing and checking of Table");
                    break;
                }
                case 1:        // table status: good
                {
                    PUT_MESSAGE ("Good");
                    break;
                }
                default:
                {
                    PUT_MESSAGE (status);
                    break;
                }
            }
        }
    }
}

METHOD method_reset_CB_2_table_1
{
    LABEL "Reset Table";
    DEFINITION
    {
        int iValue;
        int i;
        float x1[16],y1[16];

        phys_factory_reset = 32773;
        WriteCommand(write_phys_factory_reset); 

        iValue = 1;
        while(iValue == 1)
        {
            ReadCommand (read_phys_factory_reset);
            iValue = ivar_value(phys_factory_reset);
        }
        if (iValue == 0)
		{
	        for (i=0;i<16;i++)
	        {
	            iassign(trans1_CB_2_Tab_Entry,i+1);
	            WriteCommand(write_trans1_CB_2_Tab_Entry);
	            ReadCommand(read_trans1_CB_2_Tab_EntryVal);
	            x1[i] = fvar_value(trans1_CB_2_Tab_EntryVal_X);
	            y1[i] = fvar_value(trans1_CB_2_Tab_EntryVal_Y);
	        }

	        fassign(CB_2_table_x_1,x1[0]);
	        fassign(CB_2_table_y_1,y1[0]);
	        fassign(CB_2_table_x_2,x1[1]);
	        fassign(CB_2_table_y_2,y1[1]);
	        fassign(CB_2_table_x_3,x1[2]);
	        fassign(CB_2_table_y_3,y1[2]);
	        fassign(CB_2_table_x_4,x1[3]);
	        fassign(CB_2_table_y_4,y1[3]);
	        fassign(CB_2_table_x_5,x1[4]);
	        fassign(CB_2_table_y_5,y1[4]);
	        fassign(CB_2_table_x_6,x1[5]);
	        fassign(CB_2_table_y_6,y1[5]);
	        fassign(CB_2_table_x_7,x1[6]);
	        fassign(CB_2_table_y_7,y1[6]);
	        fassign(CB_2_table_x_8,x1[7]);
	        fassign(CB_2_table_y_8,y1[7]);
	        fassign(CB_2_table_x_9,x1[8]);
	        fassign(CB_2_table_y_9,y1[8]);
	        fassign(CB_2_table_x_10,x1[9]);
	        fassign(CB_2_table_y_10,y1[9]);
	        fassign(CB_2_table_x_11,x1[10]);
	        fassign(CB_2_table_y_11,y1[10]);
	        fassign(CB_2_table_x_12,x1[11]);
	        fassign(CB_2_table_y_12,y1[11]);
	        fassign(CB_2_table_x_13,x1[12]);
	        fassign(CB_2_table_y_13,y1[12]);
	        fassign(CB_2_table_x_14,x1[13]);
	        fassign(CB_2_table_y_14,y1[13]);
	        fassign(CB_2_table_x_15,x1[14]);
	        fassign(CB_2_table_y_15,y1[14]);
	        fassign(CB_2_table_x_16,x1[15]);
	        fassign(CB_2_table_y_16,y1[15]);
			
			PUT_MESSAGE("Finished.");
		}




    }
}
METHOD mtd_set_CB_2_min_value1
{
    LABEL    "";
    DEFINITION
    {
		MinIn_CB_2_CustomTc_Poly_2  = trans1_CB_2_CustomTcPoly1_1;	        
		MinIn_CB_2_CustomRtd_Poly_2 = trans1_CB_2_CustomRtdPoly1_1;	        
    }
}
METHOD mtd_set_CB_2_min_value2
{
    LABEL    "";
    DEFINITION
    {
		MinIn_CB_2_CustomTc_Poly_3 = trans1_CB_2_CustomTcPoly2_1;	   
		MinIn_CB_2_CustomRtd_Poly_3 = trans1_CB_2_CustomRtdPoly2_1;	             
    }
}
METHOD mtd_set_CB_2_min_value3
{
    LABEL    "";
    DEFINITION
    {
		MinIn_CB_2_CustomTc_Poly_4 = trans1_CB_2_CustomTcPoly3_1;
		MinIn_CB_2_CustomRtd_Poly_4 = trans1_CB_2_CustomRtdPoly3_1;
    }
}
METHOD mtd_set_CB_2_min_value4
{
    LABEL    "";
    DEFINITION
    {
		MinIn_CB_2_CustomTc_Poly_5 = trans1_CB_2_CustomTcPoly4_1;
		MinIn_CB_2_CustomRtd_Poly_5 = trans1_CB_2_CustomRtdPoly4_1;
    }
}
//METHOD mtd_set_min_value5
//{
//    LABEL    "";
//    DEFINITION
//    {
//		MinIn_CB_2_CustomTc_Poly_5 = trans1_CB_2_CustomTcPoly5_1;
//		MinIn_CB_2_CustomRtd_Poly_5 = trans1_CB_2_CustomRtdPoly5_1;
//    }
//}
/*---------------------------------------------------------------------*/
/*    Block: (Table - Specialist)                             */
/*---------------------------------------------------------------------*/

/*---------------------------------------------------------------------*/
/*    Block: (Table - Maintenance)                            */
/*---------------------------------------------------------------------*/

